diff -pruN 6.2.0-1/debian/changelog 6.2.0-2/debian/changelog
--- 6.2.0-1/debian/changelog	2019-12-22 23:21:48.000000000 +0000
+++ 6.2.0-2/debian/changelog	2020-05-27 05:46:38.000000000 +0000
@@ -1,3 +1,63 @@
+coinor-csdp (6.2.0-2) unstable; urgency=medium
+
+  * debian/coinor-csdp-doc.examples
+    - Don't bother installing the example Makefile
+  * debian/control
+    - New Maintainer/Uploader (Closes: #645079).
+    - Update Homepage.
+    - Switch Vcs-* to Debian Science Team repository.
+    - Bump debhelper compatibility level to 13.
+    - Wrap and sort Depends and Build-Depends.
+    - Add gfortran to Build-Depends; a fortran compiler is needed
+      by configure when checking for blas.
+    - Bump Standards-Version to 4.5.0.
+    - Add Rules-Requires-Root field.
+    - Drop opening article 'A' from Description.
+    - Add disambiguation to short descriptions for the coinor-csdp
+      and coinor-csdp-doc, which were previously identical.
+    - Drop deprecated *-dbg package.
+  * debian/control
+    - Add stanzas for new libsdp0 and libsdp-dev packages.
+  * debian/copyright
+    - Reformat to DEP5.
+  * debian/libsdp*.install
+    - Install headers and libraries.
+  * debian/libsdp0.symbols
+    - New symbols file.
+  * debian/not-installed
+    - Tell dh_missing that we're not installing libtool's .la file.
+  * debian/orig-tar.sh
+    - Remove file; no longer necessary.  Most of the files that were
+      removed from the tarball are no longer present in the current
+      version, and we can take care of the .pdf manual using dpkg-source.
+  * debian/patches/{move-headers,use-autotools}.patch
+    - Apply patches from Sage. In particular, we now use autotools
+      to build a dynamic library and move the header files to a new
+      subdirectory.
+  * debian/README.source
+    - Remove file describing the use of quilt; quilt has been standard
+      for some time.
+  * debian/rules
+    - Use all hardening flags.
+    - Drop assignment of LDFLAGS.  It's a puzzle as to why this was
+      being done in the first place, as they weren't actually used.
+    - Switch dh_strip option from --dbg-package to --dbgsym-migration.
+    - Drop dh_auto_install target; no longer necessary now that we
+      use autotools for build.
+  * debian/salsa-ci.yml
+    - Add Salsa pipelines config file.
+  * debian/source/include-binaries
+    - New file; whitelist the pre-generated .pdf manual.
+  * debian/tests/control
+    - Add simple smoke test for autopkgtest.
+  * debian/upstream/metadata
+    - New upstream metadata file.
+  * debian/watch
+    - Bump to version 4 and take advantage of special strings. Also
+      switch from http to https.
+
+ -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 27 May 2020 01:46:38 -0400
+
 coinor-csdp (6.2.0-1) unstable; urgency=medium
 
   * QA upload.
diff -pruN 6.2.0-1/debian/coinor-csdp-doc.examples 6.2.0-2/debian/coinor-csdp-doc.examples
--- 6.2.0-1/debian/coinor-csdp-doc.examples	2019-12-22 20:52:39.000000000 +0000
+++ 6.2.0-2/debian/coinor-csdp-doc.examples	2020-05-27 05:46:38.000000000 +0000
@@ -1,2 +1 @@
 example/*.c
-example/Makefile
diff -pruN 6.2.0-1/debian/control 6.2.0-2/debian/control
--- 6.2.0-1/debian/control	2019-12-22 22:26:58.000000000 +0000
+++ 6.2.0-2/debian/control	2020-05-27 05:46:38.000000000 +0000
@@ -1,17 +1,25 @@
 Source: coinor-csdp
 Section: science
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12), doxygen-latex, libatlas-base-dev [!powerpc !alpha !arm !armel !sh4] | libblas-dev, liblapack-dev, libgfortran5, libgomp1
-Standards-Version: 4.4.1
-Homepage: https://projects.coin-or.org/Csdp
-Vcs-Git: https://salsa.debian.org/sudip-guest/csdp.git
-Vcs-Browser: https://salsa.debian.org/sudip-guest/csdp.git
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Build-Depends: debhelper-compat (= 13),
+               doxygen-latex,
+               gfortran,
+               libatlas-base-dev [!powerpc !alpha !arm !armel !sh4] | libblas-dev,
+               libgfortran5,
+               libgomp1,
+               liblapack-dev
+Standards-Version: 4.5.0
+Homepage: https://github.com/coin-or/Csdp
+Vcs-Git: https://salsa.debian.org/science-team/csdp.git
+Vcs-Browser: https://salsa.debian.org/science-team/csdp
+Rules-Requires-Root: no
 
 Package: coinor-csdp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A software package for semidefinite programming
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Software package for semidefinite programming (binaries)
  CSDP is a library of routines that implements a predictor corrector variant of
  the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
  Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
@@ -27,7 +35,7 @@ Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: coinor-csdp
-Description: A software package for semidefinite programming
+Description: Software package for semidefinite programming (documentation)
  CSDP is a library of routines that implements a predictor corrector variant of
  the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
  Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
@@ -38,11 +46,11 @@ Description: A software package for semi
  .
  This package contains the documentation and examples.
 
-Package: coinor-csdp-dbg
-Section: debug
+Package: libsdp0
+Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, coinor-csdp (= ${binary:Version})
-Description: A software package for semidefinite programming
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Software package for semidefinite programming (library)
  CSDP is a library of routines that implements a predictor corrector variant of
  the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
  Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
@@ -51,4 +59,19 @@ Description: A software package for semi
  CSDP is part of the larger COIN-OR initiative (Computational Infrastructure
  for Operations Research).
  .
- This package contains the debug symbols.
+ This package contains the dynamic library.
+
+Package: libsdp-dev
+Section: libdevel
+Architecture: any
+Depends: libsdp0 (= ${binary:Version}), ${misc:Depends}
+Description: Software package for semidefinite programming (development)
+ CSDP is a library of routines that implements a predictor corrector variant of
+ the semidefinite programming algorithm of Helmberg, Rendl, Vanderbei, and
+ Wolkowicz. The code runs in parallel on shared memory multi-processor systems,
+ and it makes effective use of sparsity in the constraint matrices.
+ .
+ CSDP is part of the larger COIN-OR initiative (Computational Infrastructure
+ for Operations Research).
+ .
+ This package contains the static library and headers.
diff -pruN 6.2.0-1/debian/copyright 6.2.0-2/debian/copyright
--- 6.2.0-1/debian/copyright	2019-12-22 20:52:39.000000000 +0000
+++ 6.2.0-2/debian/copyright	2020-05-27 05:46:38.000000000 +0000
@@ -1,232 +1,235 @@
-This package was debianized by Soeren Sonnenburg <sonne@debian.org>.
-
-It was downloaded from https://projects.coin-or.org/Csdp .
-
-The main upstream author is Brian Borchers.
-
-If not stated otherwise
-
-Copyright: (C) 2000-2003, 2005-2008 International Business Machines Corporation and others.
-
-License: Common Public License Version 1.0
-
-Common Public License Version 1.0
-
-THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC
-LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM
-CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.
-
-1. DEFINITIONS
-
-"Contribution" means:
-
-    a) in the case of the initial Contributor, the initial code and
-documentation distributed under this Agreement, and
-
-    b) in the case of each subsequent Contributor:
-
-    i) changes to the Program, and
-
-    ii) additions to the Program;
-
-    where such changes and/or additions to the Program originate from and are
-distributed by that particular Contributor. A Contribution 'originates' from a
-Contributor if it was added to the Program by such Contributor itself or
-anyone acting on such Contributor's behalf. Contributions do not include
-additions to the Program which: (i) are separate modules of software
-distributed in conjunction with the Program under their own license agreement,
-and (ii) are not derivative works of the Program.
-
-"Contributor" means any person or entity that distributes the Program.
-
-"Licensed Patents " mean patent claims licensable by a Contributor which are
-necessarily infringed by the use or sale of its Contribution alone or when
-combined with the Program.
-
-"Program" means the Contributions distributed in accordance with this
-Agreement.
-
-"Recipient" means anyone who receives the Program under this Agreement,
-including all Contributors.
-
-2. GRANT OF RIGHTS
-
-    a) Subject to the terms of this Agreement, each Contributor hereby grants
-Recipient a non-exclusive, worldwide, royalty-free copyright license to
-reproduce, prepare derivative works of, publicly display, publicly perform,
-distribute and sublicense the Contribution of such Contributor, if any, and
-such derivative works, in source code and object code form.
-
-    b) Subject to the terms of this Agreement, each Contributor hereby grants
-Recipient a non-exclusive, worldwide, royalty-free patent license under
-Licensed Patents to make, use, sell, offer to sell, import and otherwise
-transfer the Contribution of such Contributor, if any, in source code and
-object code form. This patent license shall apply to the combination of the
-Contribution and the Program if, at the time the Contribution is added by the
-Contributor, such addition of the Contribution causes such combination to be
-covered by the Licensed Patents. The patent license shall not apply to any
-other combinations which include the Contribution. No hardware per se is
-licensed hereunder.
-
-    c) Recipient understands that although each Contributor grants the
-licenses to its Contributions set forth herein, no assurances are provided by
-any Contributor that the Program does not infringe the patent or other
-intellectual property rights of any other entity. Each Contributor disclaims
-any liability to Recipient for claims brought by any other entity based on
-infringement of intellectual property rights or otherwise. As a condition to
-exercising the rights and licenses granted hereunder, each Recipient hereby
-assumes sole responsibility to secure any other intellectual property rights
-needed, if any. For example, if a third party patent license is required to
-allow Recipient to distribute the Program, it is Recipient's responsibility to
-acquire that license before distributing the Program.
-
-    d) Each Contributor represents that to its knowledge it has sufficient
-copyright rights in its Contribution, if any, to grant the copyright license
-set forth in this Agreement.
-
-3. REQUIREMENTS
-
-A Contributor may choose to distribute the Program in object code form under
-its own license agreement, provided that:
-
-    a) it complies with the terms and conditions of this Agreement; and
-
-    b) its license agreement:
-
-    i) effectively disclaims on behalf of all Contributors all warranties and
-conditions, express and implied, including warranties or conditions of title
-and non-infringement, and implied warranties or conditions of merchantability
-and fitness for a particular purpose;
-
-    ii) effectively excludes on behalf of all Contributors all liability for
-damages, including direct, indirect, special, incidental and consequential
-damages, such as lost profits;
-
-    iii) states that any provisions which differ from this Agreement are
-offered by that Contributor alone and not by any other party; and
-
-    iv) states that source code for the Program is available from such
-Contributor, and informs licensees how to obtain it in a reasonable manner on
-or through a medium customarily used for software exchange.
-
-When the Program is made available in source code form:
-
-    a) it must be made available under this Agreement; and
-
-    b) a copy of this Agreement must be included with each copy of the
-Program.
-
-Contributors may not remove or alter any copyright notices contained within
-the Program.
-
-Each Contributor must identify itself as the originator of its Contribution,
-if any, in a manner that reasonably allows subsequent Recipients to identify
-the originator of the Contribution.
-
-4. COMMERCIAL DISTRIBUTION
-
-Commercial distributors of software may accept certain responsibilities with
-respect to end users, business partners and the like. While this license is
-intended to facilitate the commercial use of the Program, the Contributor who
-includes the Program in a commercial product offering should do so in a manner
-which does not create potential liability for other Contributors. Therefore,
-if a Contributor includes the Program in a commercial product offering, such
-Contributor ("Commercial Contributor") hereby agrees to defend and indemnify
-every other Contributor ("Indemnified Contributor") against any losses,
-damages and costs (collectively "Losses") arising from claims, lawsuits and
-other legal actions brought by a third party against the Indemnified
-Contributor to the extent caused by the acts or omissions of such Commercial
-Contributor in connection with its distribution of the Program in a commercial
-product offering. The obligations in this section do not apply to any claims
-or Losses relating to any actual or alleged intellectual property
-infringement. In order to qualify, an Indemnified Contributor must: a)
-promptly notify the Commercial Contributor in writing of such claim, and b)
-allow the Commercial Contributor to control, and cooperate with the Commercial
-Contributor in, the defense and any related settlement negotiations. The
-Indemnified Contributor may participate in any such claim at its own expense.
-
-For example, a Contributor might include the Program in a commercial product
-offering, Product X. That Contributor is then a Commercial Contributor. If
-that Commercial Contributor then makes performance claims, or offers
-warranties related to Product X, those performance claims and warranties are
-such Commercial Contributor's responsibility alone. Under this section, the
-Commercial Contributor would have to defend claims against the other
-Contributors related to those performance claims and warranties, and if a
-court requires any other Contributor to pay any damages as a result, the
-Commercial Contributor must pay those damages.
-
-5. NO WARRANTY
-
-EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN
-"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR
-IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE,
-NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each
-Recipient is solely responsible for determining the appropriateness of using
-and distributing the Program and assumes all risks associated with its
-exercise of rights under this Agreement, including but not limited to the
-risks and costs of program errors, compliance with applicable laws, damage to
-or loss of data, programs or equipment, and unavailability or interruption of
-operations.
-
-6. DISCLAIMER OF LIABILITY
-
-EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY
-CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION
-LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
-CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
-ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE
-EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY
-OF SUCH DAMAGES.
-
-7. GENERAL
-
-If any provision of this Agreement is invalid or unenforceable under
-applicable law, it shall not affect the validity or enforceability of the
-remainder of the terms of this Agreement, and without further action by the
-parties hereto, such provision shall be reformed to the minimum extent
-necessary to make such provision valid and enforceable.
-
-If Recipient institutes patent litigation against a Contributor with respect
-to a patent applicable to software (including a cross-claim or counterclaim in
-a lawsuit), then any patent licenses granted by that Contributor to such
-Recipient under this Agreement shall terminate as of the date such litigation
-is filed. In addition, if Recipient institutes patent litigation against any
-entity (including a cross-claim or counterclaim in a lawsuit) alleging that
-the Program itself (excluding combinations of the Program with other software
-or hardware) infringes such Recipient's patent(s), then such Recipient's
-rights granted under Section 2(b) shall terminate as of the date such
-litigation is filed.
-
-All Recipient's rights under this Agreement shall terminate if it fails to
-comply with any of the material terms or conditions of this Agreement and does
-not cure such failure in a reasonable period of time after becoming aware of
-such noncompliance. If all Recipient's rights under this Agreement terminate,
-Recipient agrees to cease use and distribution of the Program as soon as
-reasonably practicable. However, Recipient's obligations under this Agreement
-and any licenses granted by Recipient relating to the Program shall continue
-and survive.
-
-Everyone is permitted to copy and distribute copies of this Agreement, but in
-order to avoid inconsistency the Agreement is copyrighted and may only be
-modified in the following manner. The Agreement Steward reserves the right to
-publish new versions (including revisions) of this Agreement from time to
-time. No one other than the Agreement Steward has the right to modify this
-Agreement. IBM is the initial Agreement Steward. IBM may assign the
-responsibility to serve as the Agreement Steward to a suitable separate
-entity. Each new version of the Agreement will be given a distinguishing
-version number. The Program (including Contributions) may always be
-distributed subject to the version of the Agreement under which it was
-received. In addition, after a new version of the Agreement is published,
-Contributor may elect to distribute the Program (including its Contributions)
-under the new version. Except as expressly stated in Sections 2(a) and 2(b)
-above, Recipient receives no rights or licenses to the intellectual property
-of any Contributor under this Agreement, whether expressly, by implication,
-estoppel or otherwise. All rights in the Program not expressly granted under
-this Agreement are reserved.
-
-This Agreement is governed by the laws of the State of New York and the
-intellectual property laws of the United States of America. No party to this
-Agreement will bring a legal action under this Agreement more than one year
-after the cause of action arose. Each party waives its rights to a jury trial
-in any resulting litigation.
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: CSDP
+Upstream-Contact: Brian Borchers <borchers@nmt.edu>
+Source: https://github.com/coin-or/csdp
+
+Files: *
+Copyright: 2000-2003, 2005-2008 International Business Machines Corporation and others
+License: CPL
+
+Files: debian/*
+Copyright: 2009-2010 Soeren Sonnenburg <sonne@debian.org>
+           2020 Doug Torrance <dtorrance@piedmont.edu>
+License: CPL
+
+License: CPL
+ Common Public License Version 1.0
+ .
+ THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS COMMON PUBLIC
+ LICENSE ("AGREEMENT"). ANY USE, REPRODUCTION OR DISTRIBUTION OF THE PROGRAM
+ CONSTITUTES RECIPIENT'S ACCEPTANCE OF THIS AGREEMENT.
+ .
+ 1. DEFINITIONS
+ .
+ "Contribution" means:
+ .
+     a) in the case of the initial Contributor, the initial code and
+ documentation distributed under this Agreement, and
+ .
+     b) in the case of each subsequent Contributor:
+ .
+     i) changes to the Program, and
+ .
+     ii) additions to the Program;
+ .
+     where such changes and/or additions to the Program originate from and are
+ distributed by that particular Contributor. A Contribution 'originates' from a
+ Contributor if it was added to the Program by such Contributor itself or
+ anyone acting on such Contributor's behalf. Contributions do not include
+ additions to the Program which: (i) are separate modules of software
+ distributed in conjunction with the Program under their own license agreement,
+ and (ii) are not derivative works of the Program.
+ .
+ "Contributor" means any person or entity that distributes the Program.
+ .
+ "Licensed Patents " mean patent claims licensable by a Contributor which are
+ necessarily infringed by the use or sale of its Contribution alone or when
+ combined with the Program.
+ .
+ "Program" means the Contributions distributed in accordance with this
+ Agreement.
+ .
+ "Recipient" means anyone who receives the Program under this Agreement,
+ including all Contributors.
+ .
+ 2. GRANT OF RIGHTS
+ .
+     a) Subject to the terms of this Agreement, each Contributor hereby grants
+ Recipient a non-exclusive, worldwide, royalty-free copyright license to
+ reproduce, prepare derivative works of, publicly display, publicly perform,
+ distribute and sublicense the Contribution of such Contributor, if any, and
+ such derivative works, in source code and object code form.
+ .
+     b) Subject to the terms of this Agreement, each Contributor hereby grants
+ Recipient a non-exclusive, worldwide, royalty-free patent license under
+ Licensed Patents to make, use, sell, offer to sell, import and otherwise
+ transfer the Contribution of such Contributor, if any, in source code and
+ object code form. This patent license shall apply to the combination of the
+ Contribution and the Program if, at the time the Contribution is added by the
+ Contributor, such addition of the Contribution causes such combination to be
+ covered by the Licensed Patents. The patent license shall not apply to any
+ other combinations which include the Contribution. No hardware per se is
+ licensed hereunder.
+ .
+     c) Recipient understands that although each Contributor grants the
+ licenses to its Contributions set forth herein, no assurances are provided by
+ any Contributor that the Program does not infringe the patent or other
+ intellectual property rights of any other entity. Each Contributor disclaims
+ any liability to Recipient for claims brought by any other entity based on
+ infringement of intellectual property rights or otherwise. As a condition to
+ exercising the rights and licenses granted hereunder, each Recipient hereby
+ assumes sole responsibility to secure any other intellectual property rights
+ needed, if any. For example, if a third party patent license is required to
+ allow Recipient to distribute the Program, it is Recipient's responsibility to
+ acquire that license before distributing the Program.
+ .
+     d) Each Contributor represents that to its knowledge it has sufficient
+ copyright rights in its Contribution, if any, to grant the copyright license
+ set forth in this Agreement.
+ .
+ 3. REQUIREMENTS
+ .
+ A Contributor may choose to distribute the Program in object code form under
+ its own license agreement, provided that:
+ .
+     a) it complies with the terms and conditions of this Agreement; and
+ .
+     b) its license agreement:
+ .
+     i) effectively disclaims on behalf of all Contributors all warranties and
+ conditions, express and implied, including warranties or conditions of title
+ and non-infringement, and implied warranties or conditions of merchantability
+ and fitness for a particular purpose;
+ .
+     ii) effectively excludes on behalf of all Contributors all liability for
+ damages, including direct, indirect, special, incidental and consequential
+ damages, such as lost profits;
+ .
+     iii) states that any provisions which differ from this Agreement are
+ offered by that Contributor alone and not by any other party; and
+ .
+     iv) states that source code for the Program is available from such
+ Contributor, and informs licensees how to obtain it in a reasonable manner on
+ or through a medium customarily used for software exchange.
+ .
+ When the Program is made available in source code form:
+ .
+     a) it must be made available under this Agreement; and
+ .
+     b) a copy of this Agreement must be included with each copy of the
+ Program.
+ .
+ Contributors may not remove or alter any copyright notices contained within
+ the Program.
+ .
+ Each Contributor must identify itself as the originator of its Contribution,
+ if any, in a manner that reasonably allows subsequent Recipients to identify
+ the originator of the Contribution.
+ .
+ 4. COMMERCIAL DISTRIBUTION
+ .
+ Commercial distributors of software may accept certain responsibilities with
+ respect to end users, business partners and the like. While this license is
+ intended to facilitate the commercial use of the Program, the Contributor who
+ includes the Program in a commercial product offering should do so in a manner
+ which does not create potential liability for other Contributors. Therefore,
+ if a Contributor includes the Program in a commercial product offering, such
+ Contributor ("Commercial Contributor") hereby agrees to defend and indemnify
+ every other Contributor ("Indemnified Contributor") against any losses,
+ damages and costs (collectively "Losses") arising from claims, lawsuits and
+ other legal actions brought by a third party against the Indemnified
+ Contributor to the extent caused by the acts or omissions of such Commercial
+ Contributor in connection with its distribution of the Program in a commercial
+ product offering. The obligations in this section do not apply to any claims
+ or Losses relating to any actual or alleged intellectual property
+ infringement. In order to qualify, an Indemnified Contributor must: a)
+ promptly notify the Commercial Contributor in writing of such claim, and b)
+ allow the Commercial Contributor to control, and cooperate with the Commercial
+ Contributor in, the defense and any related settlement negotiations. The
+ Indemnified Contributor may participate in any such claim at its own expense.
+ .
+ For example, a Contributor might include the Program in a commercial product
+ offering, Product X. That Contributor is then a Commercial Contributor. If
+ that Commercial Contributor then makes performance claims, or offers
+ warranties related to Product X, those performance claims and warranties are
+ such Commercial Contributor's responsibility alone. Under this section, the
+ Commercial Contributor would have to defend claims against the other
+ Contributors related to those performance claims and warranties, and if a
+ court requires any other Contributor to pay any damages as a result, the
+ Commercial Contributor must pay those damages.
+ .
+ 5. NO WARRANTY
+ .
+ EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, THE PROGRAM IS PROVIDED ON AN
+ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, EITHER EXPRESS OR
+ IMPLIED INCLUDING, WITHOUT LIMITATION, ANY WARRANTIES OR CONDITIONS OF TITLE,
+ NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Each
+ Recipient is solely responsible for determining the appropriateness of using
+ and distributing the Program and assumes all risks associated with its
+ exercise of rights under this Agreement, including but not limited to the
+ risks and costs of program errors, compliance with applicable laws, damage to
+ or loss of data, programs or equipment, and unavailability or interruption of
+ operations.
+ .
+ 6. DISCLAIMER OF LIABILITY
+ .
+ EXCEPT AS EXPRESSLY SET FORTH IN THIS AGREEMENT, NEITHER RECIPIENT NOR ANY
+ CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+ SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING WITHOUT LIMITATION
+ LOST PROFITS), HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+ CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+ ARISING IN ANY WAY OUT OF THE USE OR DISTRIBUTION OF THE PROGRAM OR THE
+ EXERCISE OF ANY RIGHTS GRANTED HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY
+ OF SUCH DAMAGES.
+ .
+ 7. GENERAL
+ .
+ If any provision of this Agreement is invalid or unenforceable under
+ applicable law, it shall not affect the validity or enforceability of the
+ remainder of the terms of this Agreement, and without further action by the
+ parties hereto, such provision shall be reformed to the minimum extent
+ necessary to make such provision valid and enforceable.
+ .
+ If Recipient institutes patent litigation against a Contributor with respect
+ to a patent applicable to software (including a cross-claim or counterclaim in
+ a lawsuit), then any patent licenses granted by that Contributor to such
+ Recipient under this Agreement shall terminate as of the date such litigation
+ is filed. In addition, if Recipient institutes patent litigation against any
+ entity (including a cross-claim or counterclaim in a lawsuit) alleging that
+ the Program itself (excluding combinations of the Program with other software
+ or hardware) infringes such Recipient's patent(s), then such Recipient's
+ rights granted under Section 2(b) shall terminate as of the date such
+ litigation is filed.
+ .
+ All Recipient's rights under this Agreement shall terminate if it fails to
+ comply with any of the material terms or conditions of this Agreement and does
+ not cure such failure in a reasonable period of time after becoming aware of
+ such noncompliance. If all Recipient's rights under this Agreement terminate,
+ Recipient agrees to cease use and distribution of the Program as soon as
+ reasonably practicable. However, Recipient's obligations under this Agreement
+ and any licenses granted by Recipient relating to the Program shall continue
+ and survive.
+ .
+ Everyone is permitted to copy and distribute copies of this Agreement, but in
+ order to avoid inconsistency the Agreement is copyrighted and may only be
+ modified in the following manner. The Agreement Steward reserves the right to
+ publish new versions (including revisions) of this Agreement from time to
+ time. No one other than the Agreement Steward has the right to modify this
+ Agreement. IBM is the initial Agreement Steward. IBM may assign the
+ responsibility to serve as the Agreement Steward to a suitable separate
+ entity. Each new version of the Agreement will be given a distinguishing
+ version number. The Program (including Contributions) may always be
+ distributed subject to the version of the Agreement under which it was
+ received. In addition, after a new version of the Agreement is published,
+ Contributor may elect to distribute the Program (including its Contributions)
+ under the new version. Except as expressly stated in Sections 2(a) and 2(b)
+ above, Recipient receives no rights or licenses to the intellectual property
+ of any Contributor under this Agreement, whether expressly, by implication,
+ estoppel or otherwise. All rights in the Program not expressly granted under
+ this Agreement are reserved.
+ .
+ This Agreement is governed by the laws of the State of New York and the
+ intellectual property laws of the United States of America. No party to this
+ Agreement will bring a legal action under this Agreement more than one year
+ after the cause of action arose. Each party waives its rights to a jury trial
+ in any resulting litigation.
diff -pruN 6.2.0-1/debian/libsdp0.install 6.2.0-2/debian/libsdp0.install
--- 6.2.0-1/debian/libsdp0.install	1970-01-01 00:00:00.000000000 +0000
+++ 6.2.0-2/debian/libsdp0.install	2020-05-27 05:46:38.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libsdp.so.*
diff -pruN 6.2.0-1/debian/libsdp0.symbols 6.2.0-2/debian/libsdp0.symbols
--- 6.2.0-1/debian/libsdp0.symbols	1970-01-01 00:00:00.000000000 +0000
+++ 6.2.0-2/debian/libsdp0.symbols	2020-05-27 05:46:38.000000000 +0000
@@ -0,0 +1,69 @@
+libsdp.so.0 libsdp0 #MINVER#
+* Build-Depends-Package: libsdp-dev
+ Fnorm@Base 6.2.0
+ Knorm@Base 6.2.0
+ actnnz@Base 6.2.0
+ add_mat@Base 6.2.0
+ addentry@Base 6.2.0
+ addscaledmat@Base 6.2.0
+ alloc_mat@Base 6.2.0
+ alloc_mat_packed@Base 6.2.0
+ bandwidth@Base 6.2.0
+ calc_dobj@Base 6.2.0
+ calc_pobj@Base 6.2.0
+ checkc@Base 6.2.0
+ checkconstraints@Base 6.2.0
+ chol@Base 6.2.0
+ chol_blk@Base 6.2.0
+ chol_diag@Base 6.2.0
+ chol_inv@Base 6.2.0
+ copy_mat@Base 6.2.0
+ countentry@Base 6.2.0
+ dimacserr3@Base 6.2.0
+ dinfeas@Base 6.2.0
+ easy_sdp@Base 6.2.0
+ free_mat@Base 6.2.0
+ free_mat_packed@Base 6.2.0
+ free_prob@Base 6.2.0
+ get_line@Base 6.2.0
+ initparams@Base 6.2.0
+ initsoln@Base 6.2.0
+ linesearch@Base 6.2.0
+ make_i@Base 6.2.0
+ makefill@Base 6.2.0
+ mat1norm@Base 6.2.0
+ mat_mult@Base 6.2.0
+ mat_mult_raw@Base 6.2.0
+ mat_multspa@Base 6.2.0
+ mat_multspb@Base 6.2.0
+ mat_multspc@Base 6.2.0
+ matinfnorm@Base 6.2.0
+ matvec@Base 6.2.0
+ max_line_length@Base 6.2.0
+ mycompare@Base 6.2.0
+ norm1@Base 6.2.0
+ norm2@Base 6.2.0
+ norminf@Base 6.2.0
+ op_a@Base 6.2.0
+ op_at@Base 6.2.0
+ op_o@Base 6.2.0
+ pinfeas@Base 6.2.0
+ qreig@Base 6.2.0
+ read_prob@Base 6.2.0
+ read_sol@Base 6.2.0
+ sdp@Base 6.2.0
+ skip_to_end_of_line@Base 6.2.0
+ solvesys@Base 6.2.0
+ sort_entries@Base 6.2.0
+ store_packed@Base 6.2.0
+ store_unpacked@Base 6.2.0
+ structnnz@Base 6.2.0
+ sym_mat@Base 6.2.0
+ trace_prod@Base 6.2.0
+ trans@Base 6.2.0
+ triu@Base 6.2.0
+ tweakgap@Base 6.2.0
+ user_exit@Base 6.2.0
+ write_prob@Base 6.2.0
+ write_sol@Base 6.2.0
+ zero_mat@Base 6.2.0
diff -pruN 6.2.0-1/debian/libsdp-dev.install 6.2.0-2/debian/libsdp-dev.install
--- 6.2.0-1/debian/libsdp-dev.install	1970-01-01 00:00:00.000000000 +0000
+++ 6.2.0-2/debian/libsdp-dev.install	2020-05-27 05:46:38.000000000 +0000
@@ -0,0 +1,3 @@
+usr/include
+usr/lib/*/libsdp.a
+usr/lib/*/libsdp.so
diff -pruN 6.2.0-1/debian/not-installed 6.2.0-2/debian/not-installed
--- 6.2.0-1/debian/not-installed	1970-01-01 00:00:00.000000000 +0000
+++ 6.2.0-2/debian/not-installed	2020-05-27 05:46:38.000000000 +0000
@@ -0,0 +1 @@
+usr/lib/*/libsdp.la
diff -pruN 6.2.0-1/debian/orig-tar.sh 6.2.0-2/debian/orig-tar.sh
--- 6.2.0-1/debian/orig-tar.sh	2019-12-22 20:52:39.000000000 +0000
+++ 6.2.0-2/debian/orig-tar.sh	1970-01-01 00:00:00.000000000 +0000
@@ -1,18 +0,0 @@
-#!/bin/sh
-
-# called by uscan with '--upstream-version' <version> <file>
-tar xzf $3
-rm -f $3
-rm -f Csdp-*/doc/*.bbl Csdp-*/doc/*.blg Csdp-*/doc/*.log 
-rm -f Csdp-*/doc/*.aux Csdp-*/doc/csdpuser.pdf doc/example.c
-tar czf $3 Csdp-*
-rm -rf Csdp-*
-
-# move to directory 'tarballs'
-if [ -r .svn/deb-layout ]; then
-  . .svn/deb-layout
-  mv $3 $origDir
-  echo "moved $3 to $origDir"
-fi
-
-exit 0
diff -pruN 6.2.0-1/debian/patches/Makefile.patch 6.2.0-2/debian/patches/Makefile.patch
--- 6.2.0-1/debian/patches/Makefile.patch	2019-12-22 23:21:26.000000000 +0000
+++ 6.2.0-2/debian/patches/Makefile.patch	1970-01-01 00:00:00.000000000 +0000
@@ -1,47 +0,0 @@
-Description: Update Makefile
- Modify the Makefile to adjust according to debian packaging.
-
-Author: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
-Forwarded: no
----
-
---- coinor-csdp-6.2.0.orig/Makefile
-+++ coinor-csdp-6.2.0/Makefile
-@@ -11,15 +11,17 @@
- #
- # CFLAGS settings for 64 bit Linux/unix systems.
- #
--export CFLAGS=-m64 -march=native -mtune=native -Ofast -fopenmp -ansi -Wall -DBIT64 -DUSEOPENMP -DSETNUMTHREADS -DUSESIGTERM -DUSEGETTIME -I../include
-+CFLAGS+=-fopenmp -ansi -Wall -DBIT64 -DUSEOPENMP -DSETNUMTHREADS -DUSESIGTERM -DUSEGETTIME -I../include
- #
- # LIBS settings for 64 bit Linux/unix systems.
- #
--export LIBS=-static -L../lib -lsdp -llapack -lblas -lm
-+export LIBS=-L../lib -lsdp -llapack -lblas -lm
- #
- #
- # On most systems, this should handle everything.
- #
-+prefix := /usr/local
-+
- all:
- 	cd lib; make libsdp.a
- 	cd solver; make csdp
-@@ -38,11 +40,12 @@ unitTest:
- #
- 
- install:
--	cp -f solver/csdp /usr/local/bin
--	cp -f theta/theta /usr/local/bin
--	cp -f theta/graphtoprob /usr/local/bin
--	cp -f theta/complement /usr/local/bin
--	cp -f theta/rand_graph /usr/local/bin
-+	mkdir -p $(DESTDIR)/$(prefix)/bin
-+	cp -f solver/csdp $(DESTDIR)/$(prefix)/bin
-+	cp -f theta/theta $(DESTDIR)/$(prefix)/bin/csdp-theta
-+	cp -f theta/graphtoprob $(DESTDIR)/$(prefix)/bin/csdp-graphtoprob
-+	cp -f theta/complement $(DESTDIR)/$(prefix)/bin/csdp-complement
-+	cp -f theta/rand_graph $(DESTDIR)/$(prefix)/bin/csdp-randgraph
- 
- #
- # Clean out all of the directories.
diff -pruN 6.2.0-1/debian/patches/move-headers.patch 6.2.0-2/debian/patches/move-headers.patch
--- 6.2.0-1/debian/patches/move-headers.patch	1970-01-01 00:00:00.000000000 +0000
+++ 6.2.0-2/debian/patches/move-headers.patch	2020-05-27 05:46:38.000000000 +0000
@@ -0,0 +1,1429 @@
+Description: Move headers to csdp directory
+Origin: https://github.com/dimpase/csdp
+Last-Update: 2020-05-27
+
+--- a/doc/example.c
++++ b/doc/example.c
+@@ -50,7 +50,7 @@
+  * Include CSDP declarations so that we'll know the calling interfaces.
+  */
+ 
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ /*
+  * The main program.  Setup data structures with the problem data, write
+--- a/example/example.c
++++ b/example/example.c
+@@ -50,7 +50,7 @@
+  * Include CSDP declarations so that we'll know the calling interfaces.
+  */
+ 
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ /*
+  * The main program.  Setup data structures with the problem data, write
+--- a/include/blockmat.h
++++ /dev/null
+@@ -1,76 +0,0 @@
+-/*
+-  This file contains definitions for the block matrix data structures used
+-  in CSDP 3.0.  Note that there are an additional set of definitions used
+-  for sparse constraint matrices.
+-*/
+-
+-
+-/*
+-  Each block is a diagonal block or a matrix
+-*/
+-
+-enum blockcat {DIAG, MATRIX, PACKEDMATRIX};
+-
+-/*
+-  A block data record contains a pointer to the actual data for the block.
+-  Note that matrices are stored in Fortran form, while vectors are stored
+-  using indices 1, 2, ..., n.
+-*/
+-
+-union blockdatarec {
+-  double *vec;
+-  double *mat;
+-};
+-
+-/*
+-  A block record describes an individual block within a matrix. 
+-*/
+-
+-struct blockrec {
+-  union blockdatarec data;
+-  enum blockcat blockcategory;
+-  int blocksize;
+-};
+-
+-/*
+-  A block matrix contains an entire matrix in block diagonal form.
+- */
+-
+-struct blockmatrix {
+-  int nblocks;
+-  struct blockrec *blocks;
+-};
+-
+-/*
+-   Definition for constraint matrices.
+- */
+-
+-/*
+- * There's one of these for each nonzero block in each constraint matrix.
+- */
+-struct sparseblock {
+-  struct sparseblock *next;
+-  struct sparseblock *nextbyblock;
+-  double *entries;
+-  int *iindices;
+-  int *jindices;
+-  int numentries;
+-  int blocknum;
+-  int blocksize;
+-  int constraintnum;
+-  int issparse;
+-};
+-
+-
+-/*
+- * A constraint matrix is just an array of pointers to linked lists of
+- * the constraint blocks.  
+- */
+-
+-struct constraintmatrix {
+-  struct sparseblock *blocks;
+-};
+-
+-
+-
+-
+--- /dev/null
++++ b/include/csdp/blockmat.h
+@@ -0,0 +1,81 @@
++#ifndef CSDPBLOCKMAT_H
++#define CSDPBLOCKMAT_H 1
++#ifdef __cplusplus
++extern "C" {
++#endif
++/*
++  This file contains definitions for the block matrix data structures used
++  in CSDP 3.0.  Note that there are an additional set of definitions used
++  for sparse constraint matrices.
++*/
++
++
++/*
++  Each block is a diagonal block or a matrix
++*/
++
++enum blockcat {DIAG, MATRIX, PACKEDMATRIX};
++
++/*
++  A block data record contains a pointer to the actual data for the block.
++  Note that matrices are stored in Fortran form, while vectors are stored
++  using indices 1, 2, ..., n.
++*/
++
++union blockdatarec {
++  double *vec;
++  double *mat;
++};
++
++/*
++  A block record describes an individual block within a matrix. 
++*/
++
++struct blockrec {
++  union blockdatarec data;
++  enum blockcat blockcategory;
++  int blocksize;
++};
++
++/*
++  A block matrix contains an entire matrix in block diagonal form.
++ */
++
++struct blockmatrix {
++  int nblocks;
++  struct blockrec *blocks;
++};
++
++/*
++   Definition for constraint matrices.
++ */
++
++/*
++ * There's one of these for each nonzero block in each constraint matrix.
++ */
++struct sparseblock {
++  struct sparseblock *next;
++  struct sparseblock *nextbyblock;
++  double *entries;
++  int *iindices;
++  int *jindices;
++  int numentries;
++  int blocknum;
++  int blocksize;
++  int constraintnum;
++  int issparse;
++};
++
++
++/*
++ * A constraint matrix is just an array of pointers to linked lists of
++ * the constraint blocks.  
++ */
++
++struct constraintmatrix {
++  struct sparseblock *blocks;
++};
++#ifdef __cplusplus
++}
++#endif
++#endif /* !CSDPBLOCKMAT_H */
+--- a/include/declarations.h
++++ /dev/null
+@@ -1,293 +0,0 @@
+-/*
+- * CSDPDECLARATIONS is used to prevent redefinitions if this file is included
+- * twice.
+- */
+-
+-#ifndef CSDPDECLARATIONS
+-#define CSDPDECLARATIONS 
+-
+-/*
+-  Other important includes that we need.
+- */
+-
+-#include "index.h"
+-#include "blockmat.h"
+-#include "parameters.h"
+-
+-/*
+-  Our own routines.
+-  */
+-
+-void triu(struct blockmatrix A);
+-
+-void store_packed(struct blockmatrix A, struct blockmatrix B);
+-
+-void store_unpacked(struct blockmatrix A, struct blockmatrix B);
+-
+-void alloc_mat_packed(struct blockmatrix A, struct blockmatrix *pB);
+-
+-void free_mat_packed(struct blockmatrix A);
+-
+-int structnnz(int n, int k, struct blockmatrix C, struct constraintmatrix *constraints);
+-
+-int actnnz(int n, int lda, double *A);
+-
+-int bandwidth(int n, int lda, double *A);
+-
+-void qreig(int n, double *maindiag, double *offdiag);
+-
+-void sort_entries(int k, struct blockmatrix C, struct constraintmatrix *constraints);
+-
+-double norm2(int n, double *x);
+-
+-double norm1(int n, double *x);
+-
+-double norminf(int n, double *x);
+-
+-double Fnorm(struct blockmatrix A);
+-
+-double Knorm(struct blockmatrix A);
+-
+-double mat1norm(struct blockmatrix A);
+-
+-double matinfnorm(struct blockmatrix A);
+-
+-double calc_pobj(struct blockmatrix C, struct blockmatrix X, 
+-		 double constant_offset);
+-
+-double calc_dobj(int k, double *a, double *y, double constant_offset);
+-
+-double trace_prod(struct blockmatrix A, struct blockmatrix B);
+-
+-double linesearch(int n, struct blockmatrix dX,
+-		  struct blockmatrix work1, struct blockmatrix work2, 
+-		  struct blockmatrix work3, struct blockmatrix cholinv, 
+-		  double *q, double *z, double *workvec,
+-		  double stepfrac,double start, int printlevel);
+-
+-double pinfeas(int k, struct constraintmatrix *constraints,
+-	       struct blockmatrix X, double *a, double *workvec);
+-
+-double dinfeas(int k, struct blockmatrix C, 
+-	       struct constraintmatrix *constraints, double *y, 
+-	       struct blockmatrix Z, struct blockmatrix work1);
+-
+-double dimacserr3(int k, struct blockmatrix C, 
+-	       struct constraintmatrix *constraints, double *y, 
+-	       struct blockmatrix Z, struct blockmatrix work1);
+-
+-void op_a(int k, struct constraintmatrix *constraints,
+-	  struct blockmatrix X, double *result);
+-
+-void op_at(int k, double *y, struct constraintmatrix *constraints,
+-	   struct blockmatrix result);
+-
+-void makefill(int k, struct blockmatrix C, 
+-	      struct constraintmatrix *constraints, 
+-	      struct constraintmatrix *pfill, struct blockmatrix work1, 
+-	      int printlevel);
+-
+-void op_o(int k, struct constraintmatrix *constraints,
+-	  struct sparseblock **byblocks, struct blockmatrix Zi, 
+-          struct blockmatrix X, double *O, struct blockmatrix work1, 
+-          struct blockmatrix work2);
+-
+-void addscaledmat(struct blockmatrix A, double scale, struct blockmatrix B,
+-		  struct blockmatrix C);
+-
+-void zero_mat(struct blockmatrix A);
+-
+-void add_mat(struct blockmatrix A,struct blockmatrix B);
+-
+-void sym_mat(struct blockmatrix A);
+-
+-void make_i(struct blockmatrix A);
+-
+-void copy_mat(struct blockmatrix A, struct blockmatrix B);
+-
+-void mat_mult(double scale1, double scale2, struct blockmatrix A,
+-	      struct blockmatrix B, struct blockmatrix C);
+-
+-void mat_multspa(double scale1, double scale2, struct blockmatrix A,
+-		 struct blockmatrix B, struct blockmatrix C, 
+-		 struct constraintmatrix fill);
+-
+-void mat_multspb(double scale1, double scale2, struct blockmatrix A,
+-		 struct blockmatrix B, struct blockmatrix C, 
+-		 struct constraintmatrix fill);
+-
+-void mat_multspc(double scale1, double scale2, struct blockmatrix A,
+-		 struct blockmatrix B, struct blockmatrix C, 
+-		 struct constraintmatrix fill);
+-
+-void mat_mult_raw(int n, double scale1, double scale2, double *ap,
+-		  double *bp, double *cp);
+-
+-void mat_mult_rawatlas(int n, double scale1, double scale2, double *ap,
+-		  double *bp, double *cp);
+-
+-void matvec(struct blockmatrix A, double *x, double *y);
+-
+-void alloc_mat(struct blockmatrix A, struct blockmatrix *pB);
+-
+-void free_mat(struct blockmatrix A);
+-
+-void initparams(struct paramstruc *params, int *pprintlevel);
+-
+-void initsoln(int n, int k, struct blockmatrix C, double *a, 
+-	      struct constraintmatrix *constraints, struct blockmatrix *pX0,
+-	      double **py0, struct blockmatrix *pZ0);
+-
+-void trans(struct blockmatrix A);
+-
+-void chol_inv(struct blockmatrix A, struct blockmatrix B);
+-
+-int chol(struct blockmatrix A);
+-
+-int solvesys(int m, int ldam, double *A, double *rhs);
+-
+-int user_exit(int n, int k, struct blockmatrix C, double *a, double dobj,
+-	      double pobj, double constant_offset, 
+-	      struct constraintmatrix *constraints, struct blockmatrix X,
+-	      double *y, struct blockmatrix Z, struct paramstruc params);
+-
+-int read_sol(char *fname, int n, int k, struct blockmatrix C, 
+-	     struct blockmatrix *pX, double **py, struct blockmatrix *pZ);
+-
+-int read_prob(char *fname, int *pn, int *pk, struct blockmatrix *pC,
+-	      double **pa, struct constraintmatrix **pconstraints,
+-	      int printlevel);
+-
+-int write_prob(char *fname, int n, int k, struct blockmatrix C,
+-	       double *a, struct constraintmatrix *constraints);
+-
+-int write_sol(char *fname, int n, int k, struct blockmatrix X,
+-	      double *y, struct blockmatrix Z);
+-
+-void free_prob(int n, int k, struct blockmatrix C, double *a, 
+-	       struct constraintmatrix *constraints, struct blockmatrix X,
+-	       double *y, struct blockmatrix Z);
+-
+-int sdp(int n, int k, struct blockmatrix C, double *a, double constant_offset,
+-	struct constraintmatrix *constraints, struct sparseblock **byblocks,
+-	struct constraintmatrix fill, struct blockmatrix X, double *y, 
+-	struct blockmatrix Z, struct blockmatrix cholxinv,
+-	struct blockmatrix cholzinv, double *pobj, double *dobj, 
+-	struct blockmatrix work1, struct blockmatrix work2,     
+-	struct blockmatrix work3,
+-	double *workvec1, double *workvec2,
+-	double *workvec3, double *workvec4, double *workvec5,
+-	double *workvec6, double *workvec7, double *workvec8, 
+-	double *diagO, struct blockmatrix bestx, double *besty,
+-	struct blockmatrix bestz, struct blockmatrix Zi, double *O,
+-	double *rhs, struct blockmatrix dZ, struct blockmatrix dX, 
+-	double *dy, double *dy1, double *Fp, int printlevel, 
+-	struct paramstruc parameters);
+-
+-int easy_sdp(int n, int k, struct blockmatrix C, double *a, 
+-	     struct constraintmatrix *constraints, double constant_offset,
+-	     struct blockmatrix *pX, double **py, struct blockmatrix *pZ,
+-	     double *ppobj, double *pdobj);
+-
+-int checkconstraints(int n, int k, struct blockmatrix C,
+-		     struct constraintmatrix *constraints, int printlevel);
+-
+-int checkc(int n, struct blockmatrix C, int printlevel);
+-  
+-void tweakgap(int n, int k, double *a, struct constraintmatrix *constraints,
+-	      double gap, struct blockmatrix Z, struct blockmatrix dZ, 
+-	      double *y, double *dy, struct blockmatrix work1, 
+-	      struct blockmatrix work2, struct blockmatrix work3, 
+-	      struct blockmatrix work4, double *workvec1, double *workvec2,
+-	      double *workvec3, double *workvec4, int printlevel);
+-
+-int bisect_(int *n, double *eps1, double *d, double *e, double *e2,
+-	    double *lb, double *ub, int *mm, int *m, double *w, int *ind, 
+-	    int *ierr, double *rv4, double *rv5);
+-
+-/*
+-  BLAS and LINPACK stuff.
+-  */
+-
+-/*
+-  First, BLAS routines.
+- */
+-
+-#ifdef CAPSBLAS
+-#ifdef NOUNDERBLAS
+-double DNRM2();
+-double DASUM();
+-double DDOT();
+-int IDAMAX();
+-void DGEMM();
+-void DGEMV();
+-void DGER();
+-void DTRSM();
+-void DTRMV();
+-#else
+-double DNRM2_();
+-double DASUM_();
+-double DDOT_();
+-int IDAMAX_();
+-void DGEMM_();
+-void DGEMV_();
+-void DGER_();
+-void DTRSM_();
+-void DTRMV_();
+-#endif
+-#else
+-#ifdef NOUNDERBLAS
+-double dnrm2();
+-double dasum();
+-double ddot();
+-int idamax();
+-void dgemm();
+-void dgemv();
+-void dger();
+-void dtrsm();
+-void dtrmv();
+-#else
+-double dnrm2_();
+-double dasum_();
+-double ddot_();
+-int idamax_();
+-void dgemm_();
+-void dgemv_();
+-void dger_();
+-void dtrsm_();
+-void dtrmv_();
+-#endif
+-#endif
+-
+-/*
+-  LAPACK next.
+- */
+-
+-#ifdef CAPSLAPACK
+-#ifdef NOUNDERLAPACK
+-void DPOTRF();
+-void DPOTRS();
+-void DPOTRI();
+-void DTRTRI();
+-#else
+-void DPOTRF_();
+-void DPOTRS_();
+-void DPOTRI_();
+-void DTRTRI_();
+-#endif
+-#else
+-#ifdef NOUNDERLAPACK
+-void dpotrf();
+-void dpotrs();
+-void dpotri();
+-void dtrtri();
+-#else
+-void dpotrf_();
+-void dpotrs_();
+-void dpotri_();
+-void dtrtri_();
+-#endif
+-#endif
+-
+-
+-#endif
+--- /dev/null
++++ b/include/csdp/declarations.h
+@@ -0,0 +1,297 @@
++/*
++ * CSDPDECLARATIONS is used to prevent redefinitions if this file is included
++ * twice.
++ */
++
++#ifndef CSDPDECLARATIONS
++#define CSDPDECLARATIONS 
++#ifdef __cplusplus
++extern "C" {
++#endif
++/*
++  Other important includes that we need.
++ */
++
++#include <csdp/index.h>
++#include <csdp/blockmat.h>
++#include <csdp/parameters.h>
++
++/*
++  Our own routines.
++  */
++
++void triu(struct blockmatrix A);
++
++void store_packed(struct blockmatrix A, struct blockmatrix B);
++
++void store_unpacked(struct blockmatrix A, struct blockmatrix B);
++
++void alloc_mat_packed(struct blockmatrix A, struct blockmatrix *pB);
++
++void free_mat_packed(struct blockmatrix A);
++
++int structnnz(int n, int k, struct blockmatrix C, struct constraintmatrix *constraints);
++
++int actnnz(int n, int lda, double *A);
++
++int bandwidth(int n, int lda, double *A);
++
++void qreig(int n, double *maindiag, double *offdiag);
++
++void sort_entries(int k, struct blockmatrix C, struct constraintmatrix *constraints);
++
++double norm2(int n, double *x);
++
++double norm1(int n, double *x);
++
++double norminf(int n, double *x);
++
++double Fnorm(struct blockmatrix A);
++
++double Knorm(struct blockmatrix A);
++
++double mat1norm(struct blockmatrix A);
++
++double matinfnorm(struct blockmatrix A);
++
++double calc_pobj(struct blockmatrix C, struct blockmatrix X, 
++		 double constant_offset);
++
++double calc_dobj(int k, double *a, double *y, double constant_offset);
++
++double trace_prod(struct blockmatrix A, struct blockmatrix B);
++
++double linesearch(int n, struct blockmatrix dX,
++		  struct blockmatrix work1, struct blockmatrix work2, 
++		  struct blockmatrix work3, struct blockmatrix cholinv, 
++		  double *q, double *z, double *workvec,
++		  double stepfrac,double start, int printlevel);
++
++double pinfeas(int k, struct constraintmatrix *constraints,
++	       struct blockmatrix X, double *a, double *workvec);
++
++double dinfeas(int k, struct blockmatrix C, 
++	       struct constraintmatrix *constraints, double *y, 
++	       struct blockmatrix Z, struct blockmatrix work1);
++
++double dimacserr3(int k, struct blockmatrix C, 
++	       struct constraintmatrix *constraints, double *y, 
++	       struct blockmatrix Z, struct blockmatrix work1);
++
++void op_a(int k, struct constraintmatrix *constraints,
++	  struct blockmatrix X, double *result);
++
++void op_at(int k, double *y, struct constraintmatrix *constraints,
++	   struct blockmatrix result);
++
++void makefill(int k, struct blockmatrix C, 
++	      struct constraintmatrix *constraints, 
++	      struct constraintmatrix *pfill, struct blockmatrix work1, 
++	      int printlevel);
++
++void op_o(int k, struct constraintmatrix *constraints,
++	  struct sparseblock **byblocks, struct blockmatrix Zi, 
++          struct blockmatrix X, double *O, struct blockmatrix work1, 
++          struct blockmatrix work2);
++
++void addscaledmat(struct blockmatrix A, double scale, struct blockmatrix B,
++		  struct blockmatrix C);
++
++void zero_mat(struct blockmatrix A);
++
++void add_mat(struct blockmatrix A,struct blockmatrix B);
++
++void sym_mat(struct blockmatrix A);
++
++void make_i(struct blockmatrix A);
++
++void copy_mat(struct blockmatrix A, struct blockmatrix B);
++
++void mat_mult(double scale1, double scale2, struct blockmatrix A,
++	      struct blockmatrix B, struct blockmatrix C);
++
++void mat_multspa(double scale1, double scale2, struct blockmatrix A,
++		 struct blockmatrix B, struct blockmatrix C, 
++		 struct constraintmatrix fill);
++
++void mat_multspb(double scale1, double scale2, struct blockmatrix A,
++		 struct blockmatrix B, struct blockmatrix C, 
++		 struct constraintmatrix fill);
++
++void mat_multspc(double scale1, double scale2, struct blockmatrix A,
++		 struct blockmatrix B, struct blockmatrix C, 
++		 struct constraintmatrix fill);
++
++void mat_mult_raw(int n, double scale1, double scale2, double *ap,
++		  double *bp, double *cp);
++
++void mat_mult_rawatlas(int n, double scale1, double scale2, double *ap,
++		  double *bp, double *cp);
++
++void matvec(struct blockmatrix A, double *x, double *y);
++
++void alloc_mat(struct blockmatrix A, struct blockmatrix *pB);
++
++void free_mat(struct blockmatrix A);
++
++void initparams(struct paramstruc *params, int *pprintlevel);
++
++void initsoln(int n, int k, struct blockmatrix C, double *a, 
++	      struct constraintmatrix *constraints, struct blockmatrix *pX0,
++	      double **py0, struct blockmatrix *pZ0);
++
++void trans(struct blockmatrix A);
++
++void chol_inv(struct blockmatrix A, struct blockmatrix B);
++
++int chol(struct blockmatrix A);
++
++int solvesys(int m, int ldam, double *A, double *rhs);
++
++int user_exit(int n, int k, struct blockmatrix C, double *a, double dobj,
++	      double pobj, double constant_offset, 
++	      struct constraintmatrix *constraints, struct blockmatrix X,
++	      double *y, struct blockmatrix Z, struct paramstruc params);
++
++int read_sol(char *fname, int n, int k, struct blockmatrix C, 
++	     struct blockmatrix *pX, double **py, struct blockmatrix *pZ);
++
++int read_prob(char *fname, int *pn, int *pk, struct blockmatrix *pC,
++	      double **pa, struct constraintmatrix **pconstraints,
++	      int printlevel);
++
++int write_prob(char *fname, int n, int k, struct blockmatrix C,
++	       double *a, struct constraintmatrix *constraints);
++
++int write_sol(char *fname, int n, int k, struct blockmatrix X,
++	      double *y, struct blockmatrix Z);
++
++void free_prob(int n, int k, struct blockmatrix C, double *a, 
++	       struct constraintmatrix *constraints, struct blockmatrix X,
++	       double *y, struct blockmatrix Z);
++
++int sdp(int n, int k, struct blockmatrix C, double *a, double constant_offset,
++	struct constraintmatrix *constraints, struct sparseblock **byblocks,
++	struct constraintmatrix fill, struct blockmatrix X, double *y, 
++	struct blockmatrix Z, struct blockmatrix cholxinv,
++	struct blockmatrix cholzinv, double *pobj, double *dobj, 
++	struct blockmatrix work1, struct blockmatrix work2,     
++	struct blockmatrix work3,
++	double *workvec1, double *workvec2,
++	double *workvec3, double *workvec4, double *workvec5,
++	double *workvec6, double *workvec7, double *workvec8, 
++	double *diagO, struct blockmatrix bestx, double *besty,
++	struct blockmatrix bestz, struct blockmatrix Zi, double *O,
++	double *rhs, struct blockmatrix dZ, struct blockmatrix dX, 
++	double *dy, double *dy1, double *Fp, int printlevel, 
++	struct paramstruc parameters);
++
++int easy_sdp(int n, int k, struct blockmatrix C, double *a, 
++	     struct constraintmatrix *constraints, double constant_offset,
++	     struct blockmatrix *pX, double **py, struct blockmatrix *pZ,
++	     double *ppobj, double *pdobj);
++
++int checkconstraints(int n, int k, struct blockmatrix C,
++		     struct constraintmatrix *constraints, int printlevel);
++
++int checkc(int n, struct blockmatrix C, int printlevel);
++  
++void tweakgap(int n, int k, double *a, struct constraintmatrix *constraints,
++	      double gap, struct blockmatrix Z, struct blockmatrix dZ, 
++	      double *y, double *dy, struct blockmatrix work1, 
++	      struct blockmatrix work2, struct blockmatrix work3, 
++	      struct blockmatrix work4, double *workvec1, double *workvec2,
++	      double *workvec3, double *workvec4, int printlevel);
++
++int bisect_(int *n, double *eps1, double *d, double *e, double *e2,
++	    double *lb, double *ub, int *mm, int *m, double *w, int *ind, 
++	    int *ierr, double *rv4, double *rv5);
++
++/*
++  BLAS and LINPACK stuff.
++  */
++
++/*
++  First, BLAS routines.
++ */
++
++#ifdef CAPSBLAS
++#ifdef NOUNDERBLAS
++double DNRM2();
++double DASUM();
++double DDOT();
++int IDAMAX();
++void DGEMM();
++void DGEMV();
++void DGER();
++void DTRSM();
++void DTRMV();
++#else
++double DNRM2_();
++double DASUM_();
++double DDOT_();
++int IDAMAX_();
++void DGEMM_();
++void DGEMV_();
++void DGER_();
++void DTRSM_();
++void DTRMV_();
++#endif
++#else
++#ifdef NOUNDERBLAS
++double dnrm2();
++double dasum();
++double ddot();
++int idamax();
++void dgemm();
++void dgemv();
++void dger();
++void dtrsm();
++void dtrmv();
++#else
++double dnrm2_();
++double dasum_();
++double ddot_();
++int idamax_();
++void dgemm_();
++void dgemv_();
++void dger_();
++void dtrsm_();
++void dtrmv_();
++#endif
++#endif
++
++/*
++  LAPACK next.
++ */
++
++#ifdef CAPSLAPACK
++#ifdef NOUNDERLAPACK
++void DPOTRF();
++void DPOTRS();
++void DPOTRI();
++void DTRTRI();
++#else
++void DPOTRF_();
++void DPOTRS_();
++void DPOTRI_();
++void DTRTRI_();
++#endif
++#else
++#ifdef NOUNDERLAPACK
++void dpotrf();
++void dpotrs();
++void dpotri();
++void dtrtri();
++#else
++void dpotrf_();
++void dpotrs_();
++void dpotri_();
++void dtrtri_();
++#endif
++#endif
++
++#ifdef __cplusplus
++}
++#endif
++#endif
+--- a/include/index.h
++++ /dev/null
+@@ -1,50 +0,0 @@
+-/*
+-  Declarations needed to handle indexing into Fortran arrays and packed
+-  arrays.
+-*/
+-
+-#ifndef BIT64
+-
+-/*
+-  First, to convert fortran i,j indices into a C vector index.
+-*/
+-
+-#define ijtok(iiii,jjjj,lda) ((jjjj-1)*(lda)+iiii-1)
+-
+-/* 
+-   Packed indexing.
+- */
+-
+-#define ijtokp(iii,jjj,lda) ((iii+jjj*(jjj-1)/2)-1)
+-
+-/*
+-  Next, to convert C vector index into Fortran i,j indices.
+-*/
+-
+-#define ktoi(k,lda) ((k % (lda))+1)
+-#define ktoj(k,lda) ((k/(lda))+1)
+-
+-#else
+-
+-/*
+-  First, to convert fortran i,j indices into a C vector index.
+-*/
+-
+-#define ijtok(iiii,jjjj,lda) ((jjjj-1L)*(lda)+iiii-1L)
+-
+-/* 
+-   Packed indexing.
+- */
+-
+-#define ijtokp(iii,jjj,lda) (((long int)iii+(long int)jjj*(jjj-1L)/2-1L))
+-
+-/*
+-  Next, to convert C vector index into Fortran i,j indices.
+-*/
+-
+-#define ktoi(k,lda) ((((long int)k) % (lda))+1L)
+-#define ktoj(k,lda) ((((long int)k)/(lda))+1L)
+-
+-
+-#endif
+-
+--- /dev/null
++++ b/include/csdp/index.h
+@@ -0,0 +1,58 @@
++#ifndef CSDPINDEX_H
++#define CSDPINDEX_H 1
++#ifdef __cplusplus
++extern "C" {
++#endif
++/*
++  Declarations needed to handle indexing into Fortran arrays and packed
++  arrays.
++*/
++
++#ifndef BIT64
++
++/*
++  First, to convert fortran i,j indices into a C vector index.
++*/
++
++#define ijtok(iiii,jjjj,lda) ((jjjj-1)*(lda)+iiii-1)
++
++/* 
++   Packed indexing.
++ */
++
++#define ijtokp(iii,jjj,lda) ((iii+jjj*(jjj-1)/2)-1)
++
++/*
++  Next, to convert C vector index into Fortran i,j indices.
++*/
++
++#define ktoi(k,lda) ((k % (lda))+1)
++#define ktoj(k,lda) ((k/(lda))+1)
++
++#else
++
++/*
++  First, to convert fortran i,j indices into a C vector index.
++*/
++
++#define ijtok(iiii,jjjj,lda) ((jjjj-1L)*(lda)+iiii-1L)
++
++/* 
++   Packed indexing.
++ */
++
++#define ijtokp(iii,jjj,lda) (((long int)iii+(long int)jjj*(jjj-1L)/2-1L))
++
++/*
++  Next, to convert C vector index into Fortran i,j indices.
++*/
++
++#define ktoi(k,lda) ((((long int)k) % (lda))+1L)
++#define ktoj(k,lda) ((((long int)k)/(lda))+1L)
++
++
++#endif
++#ifdef __cplusplus
++}
++#endif
++#endif /* !CSDPINDEX_H */
+--- a/include/parameters.h
++++ /dev/null
+@@ -1,35 +0,0 @@
+-/*
+-
+-  This include file contains declarations for a number of parameters that 
+-  can affect the performance of CSDP.  You can adjust these parameters by 
+- 
+-    1. #include "parameters.h" in your code.
+-    2. Declare struct paramstruc params;
+-    3. Call init_params(params); to get default values.
+-    4. Change the value of the parameter that you're interested in.
+-
+-  */
+-
+-struct paramstruc {
+-  double axtol;
+-  double atytol;
+-  double objtol;
+-  double pinftol;
+-  double dinftol;
+-  int maxiter;
+-  double minstepfrac;
+-  double maxstepfrac;
+-  double minstepp;
+-  double minstepd;
+-  int usexzgap;
+-  int tweakgap;
+-  int affine;
+-  double perturbobj;
+-  int fastmode;
+-};
+-
+-
+-
+-
+-
+-
+--- /dev/null
++++ b/include/csdp/parameters.h
+@@ -0,0 +1,38 @@
++#ifndef CSDPPARAMETERS_H
++#define CSDPPARAMETERS_H 1
++#ifdef __cplusplus
++extern "C" {
++#endif
++/*
++
++  This include file contains declarations for a number of parameters that 
++  can affect the performance of CSDP.  You can adjust these parameters by 
++ 
++    1. #include <csdp/parameters.h> in your code.
++    2. Declare struct paramstruc params;
++    3. Call init_params(params); to get default values.
++    4. Change the value of the parameter that you're interested in.
++
++  */
++
++struct paramstruc {
++  double axtol;
++  double atytol;
++  double objtol;
++  double pinftol;
++  double dinftol;
++  int maxiter;
++  double minstepfrac;
++  double maxstepfrac;
++  double minstepp;
++  double minstepd;
++  int usexzgap;
++  int tweakgap;
++  int affine;
++  double perturbobj;
++  int fastmode;
++};
++#ifdef __cplusplus
++}
++#endif
++#endif /* !CSDPPARAMETERS_H */
+--- a/lib/Fnorm.c
++++ b/lib/Fnorm.c
+@@ -4,7 +4,7 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ double Fnorm(A)
+      struct blockmatrix A;
+--- a/lib/add_mat.c
++++ b/lib/add_mat.c
+@@ -4,7 +4,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void add_mat(A,B)
+      struct blockmatrix A;
+--- a/lib/addscaledmat.c
++++ b/lib/addscaledmat.c
+@@ -8,7 +8,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void addscaledmat(A,scale,B,C)
+      struct blockmatrix A;
+--- a/lib/allocmat.c
++++ b/lib/allocmat.c
+@@ -6,7 +6,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void alloc_mat(A,pB)
+      struct blockmatrix A;
+--- a/lib/calc_dobj.c
++++ b/lib/calc_dobj.c
+@@ -2,7 +2,7 @@
+   Compute the dual objective function value dobj=a'y.  
+   */
+ 
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ double calc_dobj(k,a,y,constant_offset)
+      int k;
+--- a/lib/calc_pobj.c
++++ b/lib/calc_pobj.c
+@@ -6,7 +6,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ double calc_pobj(C,X,constant_offset)
+      struct blockmatrix C;
+--- a/lib/chol.c
++++ b/lib/chol.c
+@@ -7,7 +7,7 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ int chol_blk(n,lda,A)
+      int n;
+--- a/lib/copy_mat.c
++++ b/lib/copy_mat.c
+@@ -4,7 +4,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void copy_mat(A,B)
+      struct blockmatrix A,B;
+--- a/lib/easysdp.c
++++ b/lib/easysdp.c
+@@ -10,7 +10,7 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ int easy_sdp(n,k,C,a,constraints,constant_offset,pX,py,pZ,ppobj,pdobj)
+      int n;
+--- a/lib/freeprob.c
++++ b/lib/freeprob.c
+@@ -3,7 +3,7 @@
+  */
+ 
+ #include <stdlib.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void free_prob(n,k,C,a,constraints,X,y,Z)
+      int n;
+--- a/lib/initsoln.c
++++ b/lib/initsoln.c
+@@ -5,7 +5,7 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void initsoln(n,k,C,a,constraints,pX0,py0,pZ0)
+      int n;
+--- a/lib/linesearch.c
++++ b/lib/linesearch.c
+@@ -7,7 +7,7 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ #define LANCZOSITS 30
+ 
+--- a/lib/make_i.c
++++ b/lib/make_i.c
+@@ -4,7 +4,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void make_i(A)
+      struct blockmatrix A;
+--- a/lib/makefill.c
++++ b/lib/makefill.c
+@@ -10,7 +10,7 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void makefill(k,C,constraints,pfill,work1,printlevel)
+      int k;
+--- a/lib/mat_mult.c
++++ b/lib/mat_mult.c
+@@ -14,7 +14,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void mat_mult(scale1,scale2,A,B,C)
+      double scale1,scale2;
+--- a/lib/mat_multsp.c
++++ b/lib/mat_multsp.c
+@@ -15,7 +15,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ #ifdef USEOPENMP
+ #include <omp.h>
+--- a/lib/matvec.c
++++ b/lib/matvec.c
+@@ -7,7 +7,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void matvec(A,x,y)
+      struct blockmatrix A;
+--- a/lib/norms.c
++++ b/lib/norms.c
+@@ -3,7 +3,7 @@
+  */
+ 
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ double norm2(n,x)
+      int n;
+--- a/lib/op_a.c
++++ b/lib/op_a.c
+@@ -3,7 +3,7 @@
+   */
+ 
+ #include <stdlib.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ 
+ void op_a(k,constraints,X,result)
+--- a/lib/op_at.c
++++ b/lib/op_at.c
+@@ -3,7 +3,7 @@
+   */
+ 
+ #include <stdlib.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ 
+ void op_at(k,y,constraints,result)
+--- a/lib/op_o.c
++++ b/lib/op_o.c
+@@ -14,7 +14,7 @@
+ #ifdef USEOPENMP
+ #include <omp.h>
+ #endif
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ 
+ void
+--- a/lib/packed.c
++++ b/lib/packed.c
+@@ -5,7 +5,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void store_packed(A,B)
+      struct blockmatrix A,B;
+--- a/lib/psd_feas.c
++++ b/lib/psd_feas.c
+@@ -4,7 +4,7 @@
+ */
+ 
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ /*
+  * This routine computes the relative primal infeasibility.
+--- a/lib/readprob.c
++++ b/lib/readprob.c
+@@ -7,7 +7,7 @@
+ #include <stdlib.h>
+ #include <math.h>
+ #include <limits.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void skip_to_end_of_line();
+ int get_line();
+--- a/lib/readsol.c
++++ b/lib/readsol.c
+@@ -4,7 +4,7 @@
+ 
+ #include <stdio.h>
+ #include <stdlib.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void skip_to_end_of_line();
+ 
+--- a/lib/sdp.c
++++ b/lib/sdp.c
+@@ -38,7 +38,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ #ifdef USEGETTIME
+ /*
+--- a/lib/solvesys.c
++++ b/lib/solvesys.c
+@@ -6,7 +6,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ int solvesys(m,ldam,A,rhs)
+      int m;
+--- a/lib/sortentries.c
++++ b/lib/sortentries.c
+@@ -1,7 +1,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ struct entry {
+   int indexi;
+--- a/lib/sym_mat.c
++++ b/lib/sym_mat.c
+@@ -4,7 +4,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void sym_mat(A)
+      struct blockmatrix A;
+--- a/lib/trace_prod.c
++++ b/lib/trace_prod.c
+@@ -6,7 +6,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ double trace_prod(A,B)
+      struct blockmatrix A;
+--- a/lib/tweakgap.c
++++ b/lib/tweakgap.c
+@@ -17,7 +17,7 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ 
+ void tweakgap(n,k,a,constraints,gap,Z,dZ,y,dy,work1,work2,work3,work4,workvec1,
+--- a/lib/user_exit.c
++++ b/lib/user_exit.c
+@@ -3,7 +3,7 @@
+  * 0, so that psd will not stop.
+  */
+ 
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ 
+ #ifdef USESIGTERM
+--- a/lib/writeprob.c
++++ b/lib/writeprob.c
+@@ -4,7 +4,7 @@
+ 
+ #include <stdio.h>
+ #include <stdlib.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ int write_prob(fname,n,k,C,a,constraints)
+      char *fname;
+--- a/lib/writesol.c
++++ b/lib/writesol.c
+@@ -4,7 +4,7 @@
+ 
+ #include <stdio.h>
+ #include <stdlib.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ int write_sol(fname,n,k,X,y,Z)
+      char *fname;
+--- a/lib/zero_mat.c
++++ b/lib/zero_mat.c
+@@ -4,7 +4,7 @@
+ 
+ #include <stdlib.h>
+ #include <stdio.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void zero_mat(A)
+      struct blockmatrix A;
+--- a/solver/csdp.c
++++ b/solver/csdp.c
+@@ -1,7 +1,7 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <math.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ /*
+  * Stuff for keeping track of time.
+--- a/theta/complement.c
++++ b/theta/complement.c
+@@ -10,7 +10,7 @@
+ */
+ #include <stdio.h>
+ #include <stdlib.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ int main(argc,argv)
+      int argc;
+--- a/theta/graphtoprob.c
++++ b/theta/graphtoprob.c
+@@ -20,7 +20,7 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <string.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ int main(argc,argv)
+      int argc;
+--- a/theta/rand_graph.c
++++ b/theta/rand_graph.c
+@@ -11,7 +11,7 @@
+ #include <stdio.h>
+ #include <math.h>
+ #include <stdlib.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ /*
+ 
+--- a/theta/theta.c
++++ b/theta/theta.c
+@@ -20,7 +20,7 @@
+ #include <stdlib.h>
+ #include <stdio.h>
+ #include <string.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ int main(argc,argv)
+      int argc;
+--- a/lib/initparams.c
++++ b/lib/initparams.c
+@@ -4,7 +4,7 @@
+ 
+ #include <stdio.h>
+ #include <strings.h>
+-#include "declarations.h"
++#include <csdp/declarations.h>
+ 
+ void initparams(params,pprintlevel)
+      struct paramstruc *params;
diff -pruN 6.2.0-1/debian/patches/series 6.2.0-2/debian/patches/series
--- 6.2.0-1/debian/patches/series	2019-12-22 22:20:13.000000000 +0000
+++ 6.2.0-2/debian/patches/series	2020-05-27 05:46:38.000000000 +0000
@@ -1 +1,2 @@
-Makefile.patch
+move-headers.patch
+use-autotools.patch
diff -pruN 6.2.0-1/debian/patches/use-autotools.patch 6.2.0-2/debian/patches/use-autotools.patch
--- 6.2.0-1/debian/patches/use-autotools.patch	1970-01-01 00:00:00.000000000 +0000
+++ 6.2.0-2/debian/patches/use-autotools.patch	2020-05-27 05:46:38.000000000 +0000
@@ -0,0 +1,501 @@
+Description: Use autotools to build shared library
+ Slight modifications of the patches used by Sage.  In particular, we
+ use automake's "foreign" option so we don't have to worry about NEWS,
+ etc. and build all the binaries in theta/ with a csdp- prefix as in
+ previous versions of the Debian package.
+Origin: https://github.com/dimpase/csdp
+Last-Update: 2020-05-27
+
+--- /dev/null
++++ b/Makefile.am
+@@ -0,0 +1,3 @@
++ACLOCAL_AMFLAGS = -I m4
++SUBDIRS = lib include solver example theta 
++#SUBDIRS = doc example test
+--- /dev/null
++++ b/configure.ac
+@@ -0,0 +1,66 @@
++#                                               -*- Autoconf -*-
++# Process this file with autoconf to produce a configure script.
++
++AC_PREREQ([2.67])
++AC_INIT([CSDP], [6.2], [dimpase@gmail.com])
++AM_INIT_AUTOMAKE([foreign])
++LT_PREREQ([2.2])
++LT_INIT([dlopen,disable-shared,no-undefined])
++AC_CONFIG_MACRO_DIR([m4])
++AC_CONFIG_SRCDIR([solver/csdp.c])
++AC_CONFIG_HEADERS([config.h])
++
++# Checks for programs.
++AC_PROG_CC
++AC_PROG_INSTALL
++AC_PROG_MAKE_SET
++AM_PROG_CC_C_O
++
++AC_CONFIG_FILES([Makefile lib/Makefile solver/Makefile include/Makefile
++                 example/Makefile theta/Makefile])
++#                 doc/Makefile test/Makefile
++
++# Checks for libraries.
++# FIXME: Replace `main' with a function in `-lblas':
++#AC_CHECK_LIB([blas], [dnrm2])
++
++AX_BLAS([have_blas=yes], [have_blas=no])
++if test "x${have_blas}" = xno; then
++    AC_MSG_ERROR([
++  ------------------------------------------
++   A BLAS library and header file required to build csdp. Stopping...
++   Check 'config.log' for more information.
++  ------------------------------------------])
++fi
++
++AX_LAPACK([have_lapack=yes], [have_lapack=no])
++if test "x${have_lapack}" = xno; then
++    AC_MSG_ERROR([
++  ------------------------------------------
++   A LAPACK library and header file required to build csdp. Stopping...
++   Check 'config.log' for more information.
++  ------------------------------------------])
++fi
++
++# these are taken care by AX_LAPACK/BLAS:
++# # FIXME: Replace `main' with a function in `-lgfortran':
++# AC_CHECK_LIB([gfortran], [main])
++# # FIXME: Replace `main' with a function in `-llapack':
++# AC_CHECK_LIB([lapack], [main])
++# # FIXME: Replace `main' with a function in `-lsdp':
++# AC_CHECK_LIB([sdp], [main])
++
++AC_CHECK_LIB(m, sqrt)
++
++# Checks for header files.
++AC_CHECK_HEADERS(limits.h stddef.h stdlib.h string.h sys/time.h unistd.h)
++
++# Checks for typedefs, structures, and compiler characteristics.
++AC_TYPE_SIZE_T
++
++# Checks for library functions.
++AC_FUNC_MALLOC
++AC_FUNC_STRTOD
++AC_CHECK_FUNCS(gettimeofday pow sqrt strtol)
++
++AC_OUTPUT
+--- /dev/null
++++ b/example/Makefile.am
+@@ -0,0 +1,4 @@
++check_PROGRAMS = example
++example_SOURCES = example.c 
++example_CPPFLAGS = -I$(top_srcdir)/include
++example_LDADD=../lib/libsdp.la
+--- /dev/null
++++ b/include/Makefile.am
+@@ -0,0 +1 @@
++nobase_include_HEADERS = csdp/blockmat.h csdp/index.h csdp/declarations.h csdp/parameters.h
+--- /dev/null
++++ b/lib/Makefile.am
+@@ -0,0 +1,5 @@
++lib_LTLIBRARIES = libsdp.la
++libsdp_la_SOURCES = readprob.c sdp.c op_o.c psd_feas.c op_a.c op_at.c  Fnorm.c calc_pobj.c calc_dobj.c trace_prod.c zero_mat.c mat_mult.c sym_mat.c copy_mat.c addscaledmat.c  user_exit.c make_i.c allocmat.c initsoln.c initparams.c add_mat.c writesol.c readsol.c easysdp.c writeprob.c solvesys.c makefill.c mat_multsp.c norms.c linesearch.c matvec.c chol.c qreig.c tweakgap.c freeprob.c packed.c sortentries.c
++libsdp_la_CPPFLAGS = -I$(top_srcdir)/include
++libsdp_la_LDFLAGS = @LAPACK_LIBS@ @BLAS_LIBS@ @LIBS@ @FLIBS@ 
++
+--- /dev/null
++++ b/m4/ax_blas.m4
+@@ -0,0 +1,238 @@
++# ===========================================================================
++#          http://www.gnu.org/software/autoconf-archive/ax_blas.html
++# ===========================================================================
++#
++# SYNOPSIS
++#
++#   AX_BLAS([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])
++#
++# DESCRIPTION
++#
++#   This macro looks for a library that implements the BLAS linear-algebra
++#   interface (see http://www.netlib.org/blas/). On success, it sets the
++#   BLAS_LIBS output variable to hold the requisite library linkages.
++#
++#   To link with BLAS, you should link with:
++#
++#     $BLAS_LIBS $LIBS $FLIBS
++#
++#   in that order. FLIBS is the output variable of the
++#   AC_F77_LIBRARY_LDFLAGS macro (called if necessary by AX_BLAS), and is
++#   sometimes necessary in order to link with F77 libraries. Users will also
++#   need to use AC_F77_DUMMY_MAIN (see the autoconf manual), for the same
++#   reason.
++#
++#   Many libraries are searched for, from ATLAS to CXML to ESSL. The user
++#   may also use --with-blas=<lib> in order to use some specific BLAS
++#   library <lib>. In order to link successfully, however, be aware that you
++#   will probably need to use the same Fortran compiler (which can be set
++#   via the F77 env. var.) as was used to compile the BLAS library.
++#
++#   ACTION-IF-FOUND is a list of shell commands to run if a BLAS library is
++#   found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it is
++#   not found. If ACTION-IF-FOUND is not specified, the default action will
++#   define HAVE_BLAS.
++#
++# LICENSE
++#
++#   Copyright (c) 2008 Steven G. Johnson <stevenj@alum.mit.edu>
++#
++#   This program is free software: you can redistribute it and/or modify it
++#   under the terms of the GNU General Public License as published by the
++#   Free Software Foundation, either version 3 of the License, or (at your
++#   option) any later version.
++#
++#   This program is distributed in the hope that it will be useful, but
++#   WITHOUT ANY WARRANTY; without even the implied warranty of
++#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
++#   Public License for more details.
++#
++#   You should have received a copy of the GNU General Public License along
++#   with this program. If not, see <http://www.gnu.org/licenses/>.
++#
++#   As a special exception, the respective Autoconf Macro's copyright owner
++#   gives unlimited permission to copy, distribute and modify the configure
++#   scripts that are the output of Autoconf when processing the Macro. You
++#   need not follow the terms of the GNU General Public License when using
++#   or distributing such scripts, even though portions of the text of the
++#   Macro appear in them. The GNU General Public License (GPL) does govern
++#   all other use of the material that constitutes the Autoconf Macro.
++#
++#   This special exception to the GPL applies to versions of the Autoconf
++#   Macro released by the Autoconf Archive. When you make and distribute a
++#   modified version of the Autoconf Macro, you may extend this special
++#   exception to the GPL to apply to your modified version as well.
++
++#serial 14
++
++AU_ALIAS([ACX_BLAS], [AX_BLAS])
++AC_DEFUN([AX_BLAS], [
++AC_PREREQ(2.50)
++AC_REQUIRE([AC_F77_LIBRARY_LDFLAGS])
++AC_REQUIRE([AC_CANONICAL_HOST])
++ax_blas_ok=no
++
++AC_ARG_WITH(blas,
++	[AS_HELP_STRING([--with-blas=<lib>], [use BLAS library <lib>])])
++case $with_blas in
++	yes | "") ;;
++	no) ax_blas_ok=disable ;;
++	-* | */* | *.a | *.so | *.so.* | *.o) BLAS_LIBS="$with_blas" ;;
++	*) BLAS_LIBS="-l$with_blas" ;;
++esac
++
++# Get fortran linker names of BLAS functions to check for.
++AC_F77_FUNC(sgemm)
++AC_F77_FUNC(dgemm)
++
++ax_blas_save_LIBS="$LIBS"
++LIBS="$LIBS $FLIBS"
++
++# First, check BLAS_LIBS environment variable
++if test $ax_blas_ok = no; then
++if test "x$BLAS_LIBS" != x; then
++	save_LIBS="$LIBS"; LIBS="$BLAS_LIBS $LIBS"
++	AC_MSG_CHECKING([for $sgemm in $BLAS_LIBS])
++	AC_TRY_LINK_FUNC($sgemm, [ax_blas_ok=yes], [BLAS_LIBS=""])
++	AC_MSG_RESULT($ax_blas_ok)
++	LIBS="$save_LIBS"
++fi
++fi
++
++# BLAS linked to by default?  (happens on some supercomputers)
++if test $ax_blas_ok = no; then
++	save_LIBS="$LIBS"; LIBS="$LIBS"
++	AC_MSG_CHECKING([if $sgemm is being linked in already])
++	AC_TRY_LINK_FUNC($sgemm, [ax_blas_ok=yes])
++	AC_MSG_RESULT($ax_blas_ok)
++	LIBS="$save_LIBS"
++fi
++
++# BLAS in OpenBLAS library? (http://xianyi.github.com/OpenBLAS/)
++if test $ax_blas_ok = no; then
++	AC_CHECK_LIB(openblas, $sgemm, [ax_blas_ok=yes
++			                BLAS_LIBS="-lopenblas"])
++fi
++
++# BLAS in ATLAS library? (http://math-atlas.sourceforge.net/)
++if test $ax_blas_ok = no; then
++	AC_CHECK_LIB(atlas, ATL_xerbla,
++		[AC_CHECK_LIB(f77blas, $sgemm,
++		[AC_CHECK_LIB(cblas, cblas_dgemm,
++			[ax_blas_ok=yes
++			 BLAS_LIBS="-lcblas -lf77blas -latlas"],
++			[], [-lf77blas -latlas])],
++			[], [-latlas])])
++fi
++
++# BLAS in PhiPACK libraries? (requires generic BLAS lib, too)
++if test $ax_blas_ok = no; then
++	AC_CHECK_LIB(blas, $sgemm,
++		[AC_CHECK_LIB(dgemm, $dgemm,
++		[AC_CHECK_LIB(sgemm, $sgemm,
++			[ax_blas_ok=yes; BLAS_LIBS="-lsgemm -ldgemm -lblas"],
++			[], [-lblas])],
++			[], [-lblas])])
++fi
++
++# BLAS in Intel MKL library?
++if test $ax_blas_ok = no; then
++	# MKL for gfortran
++	if test x"$ac_cv_fc_compiler_gnu" = xyes; then
++		# 64 bit
++		if test $host_cpu = x86_64; then
++			AC_CHECK_LIB(mkl_gf_lp64, $sgemm,
++			[ax_blas_ok=yes;BLAS_LIBS="-lmkl_gf_lp64 -lmkl_sequential -lmkl_core -lpthread"],,
++			[-lmkl_gf_lp64 -lmkl_sequential -lmkl_core -lpthread])
++		# 32 bit
++		elif test $host_cpu = i686; then
++			AC_CHECK_LIB(mkl_gf, $sgemm,
++				[ax_blas_ok=yes;BLAS_LIBS="-lmkl_gf -lmkl_sequential -lmkl_core -lpthread"],,
++				[-lmkl_gf -lmkl_sequential -lmkl_core -lpthread])
++		fi
++	# MKL for other compilers (Intel, PGI, ...?)
++	else
++		# 64-bit
++		if test $host_cpu = x86_64; then
++			AC_CHECK_LIB(mkl_intel_lp64, $sgemm,
++				[ax_blas_ok=yes;BLAS_LIBS="-lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread"],,
++				[-lmkl_intel_lp64 -lmkl_sequential -lmkl_core -lpthread])
++		# 32-bit
++		elif test $host_cpu = i686; then
++			AC_CHECK_LIB(mkl_intel, $sgemm,
++				[ax_blas_ok=yes;BLAS_LIBS="-lmkl_intel -lmkl_sequential -lmkl_core -lpthread"],,
++				[-lmkl_intel -lmkl_sequential -lmkl_core -lpthread])
++		fi
++	fi
++fi
++# Old versions of MKL
++if test $ax_blas_ok = no; then
++	AC_CHECK_LIB(mkl, $sgemm, [ax_blas_ok=yes;BLAS_LIBS="-lmkl -lguide -lpthread"],,[-lguide -lpthread])
++fi
++
++# BLAS in Apple vecLib library?
++if test $ax_blas_ok = no; then
++	save_LIBS="$LIBS"; LIBS="-framework vecLib $LIBS"
++	AC_MSG_CHECKING([for $sgemm in -framework vecLib])
++	AC_TRY_LINK_FUNC($sgemm, [ax_blas_ok=yes;BLAS_LIBS="-framework vecLib"])
++	AC_MSG_RESULT($ax_blas_ok)
++	LIBS="$save_LIBS"
++fi
++
++# BLAS in Alpha CXML library?
++if test $ax_blas_ok = no; then
++	AC_CHECK_LIB(cxml, $sgemm, [ax_blas_ok=yes;BLAS_LIBS="-lcxml"])
++fi
++
++# BLAS in Alpha DXML library? (now called CXML, see above)
++if test $ax_blas_ok = no; then
++	AC_CHECK_LIB(dxml, $sgemm, [ax_blas_ok=yes;BLAS_LIBS="-ldxml"])
++fi
++
++# BLAS in Sun Performance library?
++if test $ax_blas_ok = no; then
++	if test "x$GCC" != xyes; then # only works with Sun CC
++		AC_CHECK_LIB(sunmath, acosp,
++			[AC_CHECK_LIB(sunperf, $sgemm,
++				[BLAS_LIBS="-xlic_lib=sunperf -lsunmath"
++                                 ax_blas_ok=yes],[],[-lsunmath])])
++	fi
++fi
++
++# BLAS in SCSL library?  (SGI/Cray Scientific Library)
++if test $ax_blas_ok = no; then
++	AC_CHECK_LIB(scs, $sgemm, [ax_blas_ok=yes; BLAS_LIBS="-lscs"])
++fi
++
++# BLAS in SGIMATH library?
++if test $ax_blas_ok = no; then
++	AC_CHECK_LIB(complib.sgimath, $sgemm,
++		     [ax_blas_ok=yes; BLAS_LIBS="-lcomplib.sgimath"])
++fi
++
++# BLAS in IBM ESSL library? (requires generic BLAS lib, too)
++if test $ax_blas_ok = no; then
++	AC_CHECK_LIB(blas, $sgemm,
++		[AC_CHECK_LIB(essl, $sgemm,
++			[ax_blas_ok=yes; BLAS_LIBS="-lessl -lblas"],
++			[], [-lblas $FLIBS])])
++fi
++
++# Generic BLAS library?
++if test $ax_blas_ok = no; then
++	AC_CHECK_LIB(blas, $sgemm, [ax_blas_ok=yes; BLAS_LIBS="-lblas"])
++fi
++
++AC_SUBST(BLAS_LIBS)
++
++LIBS="$ax_blas_save_LIBS"
++
++# Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
++if test x"$ax_blas_ok" = xyes; then
++        ifelse([$1],,AC_DEFINE(HAVE_BLAS,1,[Define if you have a BLAS library.]),[$1])
++        :
++else
++        ax_blas_ok=no
++        $2
++fi
++])dnl AX_BLAS
+--- /dev/null
++++ b/m4/ax_lapack.m4
+@@ -0,0 +1,131 @@
++# ===========================================================================
++#         http://www.gnu.org/software/autoconf-archive/ax_lapack.html
++# ===========================================================================
++#
++# SYNOPSIS
++#
++#   AX_LAPACK([ACTION-IF-FOUND[, ACTION-IF-NOT-FOUND]])
++#
++# DESCRIPTION
++#
++#   This macro looks for a library that implements the LAPACK linear-algebra
++#   interface (see http://www.netlib.org/lapack/). On success, it sets the
++#   LAPACK_LIBS output variable to hold the requisite library linkages.
++#
++#   To link with LAPACK, you should link with:
++#
++#     $LAPACK_LIBS $BLAS_LIBS $LIBS $FLIBS
++#
++#   in that order. BLAS_LIBS is the output variable of the AX_BLAS macro,
++#   called automatically. FLIBS is the output variable of the
++#   AC_F77_LIBRARY_LDFLAGS macro (called if necessary by AX_BLAS), and is
++#   sometimes necessary in order to link with F77 libraries. Users will also
++#   need to use AC_F77_DUMMY_MAIN (see the autoconf manual), for the same
++#   reason.
++#
++#   The user may also use --with-lapack=<lib> in order to use some specific
++#   LAPACK library <lib>. In order to link successfully, however, be aware
++#   that you will probably need to use the same Fortran compiler (which can
++#   be set via the F77 env. var.) as was used to compile the LAPACK and BLAS
++#   libraries.
++#
++#   ACTION-IF-FOUND is a list of shell commands to run if a LAPACK library
++#   is found, and ACTION-IF-NOT-FOUND is a list of commands to run it if it
++#   is not found. If ACTION-IF-FOUND is not specified, the default action
++#   will define HAVE_LAPACK.
++#
++# LICENSE
++#
++#   Copyright (c) 2009 Steven G. Johnson <stevenj@alum.mit.edu>
++#
++#   This program is free software: you can redistribute it and/or modify it
++#   under the terms of the GNU General Public License as published by the
++#   Free Software Foundation, either version 3 of the License, or (at your
++#   option) any later version.
++#
++#   This program is distributed in the hope that it will be useful, but
++#   WITHOUT ANY WARRANTY; without even the implied warranty of
++#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
++#   Public License for more details.
++#
++#   You should have received a copy of the GNU General Public License along
++#   with this program. If not, see <http://www.gnu.org/licenses/>.
++#
++#   As a special exception, the respective Autoconf Macro's copyright owner
++#   gives unlimited permission to copy, distribute and modify the configure
++#   scripts that are the output of Autoconf when processing the Macro. You
++#   need not follow the terms of the GNU General Public License when using
++#   or distributing such scripts, even though portions of the text of the
++#   Macro appear in them. The GNU General Public License (GPL) does govern
++#   all other use of the material that constitutes the Autoconf Macro.
++#
++#   This special exception to the GPL applies to versions of the Autoconf
++#   Macro released by the Autoconf Archive. When you make and distribute a
++#   modified version of the Autoconf Macro, you may extend this special
++#   exception to the GPL to apply to your modified version as well.
++
++#serial 7
++
++AU_ALIAS([ACX_LAPACK], [AX_LAPACK])
++AC_DEFUN([AX_LAPACK], [
++AC_REQUIRE([AX_BLAS])
++ax_lapack_ok=no
++
++AC_ARG_WITH(lapack,
++        [AS_HELP_STRING([--with-lapack=<lib>], [use LAPACK library <lib>])])
++case $with_lapack in
++        yes | "") ;;
++        no) ax_lapack_ok=disable ;;
++        -* | */* | *.a | *.so | *.so.* | *.o) LAPACK_LIBS="$with_lapack" ;;
++        *) LAPACK_LIBS="-l$with_lapack" ;;
++esac
++
++# Get fortran linker name of LAPACK function to check for.
++AC_F77_FUNC(cheev)
++
++# We cannot use LAPACK if BLAS is not found
++if test "x$ax_blas_ok" != xyes; then
++        ax_lapack_ok=noblas
++        LAPACK_LIBS=""
++fi
++
++# First, check LAPACK_LIBS environment variable
++if test "x$LAPACK_LIBS" != x; then
++        save_LIBS="$LIBS"; LIBS="$LAPACK_LIBS $BLAS_LIBS $LIBS $FLIBS"
++        AC_MSG_CHECKING([for $cheev in $LAPACK_LIBS])
++        AC_TRY_LINK_FUNC($cheev, [ax_lapack_ok=yes], [LAPACK_LIBS=""])
++        AC_MSG_RESULT($ax_lapack_ok)
++        LIBS="$save_LIBS"
++        if test $ax_lapack_ok = no; then
++                LAPACK_LIBS=""
++        fi
++fi
++
++# LAPACK linked to by default?  (is sometimes included in BLAS lib)
++if test $ax_lapack_ok = no; then
++        save_LIBS="$LIBS"; LIBS="$LIBS $BLAS_LIBS $FLIBS"
++        AC_CHECK_FUNC($cheev, [ax_lapack_ok=yes])
++        LIBS="$save_LIBS"
++fi
++
++# Generic LAPACK library?
++for lapack in lapack lapack_rs6k; do
++        if test $ax_lapack_ok = no; then
++                save_LIBS="$LIBS"; LIBS="$BLAS_LIBS $LIBS"
++                AC_CHECK_LIB($lapack, $cheev,
++                    [ax_lapack_ok=yes; LAPACK_LIBS="-l$lapack"], [], [$FLIBS])
++                LIBS="$save_LIBS"
++        fi
++done
++
++AC_SUBST(LAPACK_LIBS)
++
++# Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
++if test x"$ax_lapack_ok" = xyes; then
++        ifelse([$1],,AC_DEFINE(HAVE_LAPACK,1,[Define if you have LAPACK library.]),[$1])
++        :
++else
++        ax_lapack_ok=no
++        $2
++fi
++])dnl AX_LAPACK
+--- /dev/null
++++ b/solver/Makefile.am
+@@ -0,0 +1,4 @@
++bin_PROGRAMS = csdp 
++csdp_SOURCES = csdp.c 
++csdp_CPPFLAGS = -I$(top_srcdir)/include
++csdp_LDADD=../lib/libsdp.la
+--- /dev/null
++++ b/theta/Makefile.am
+@@ -0,0 +1,14 @@
++bin_PROGRAMS = csdp-theta csdp-complement csdp-graphtoprob csdp-randgraph
++check_PROGRAMS = csdp-theta csdp-complement csdp-graphtoprob csdp-randgraph
++csdp_theta_SOURCES = theta.c
++csdp_graphtoprob_SOURCES = graphtoprob.c
++csdp_randgraph_SOURCES = rand_graph.c
++csdp_complement_SOURCES = complement.c
++csdp_theta_CPPFLAGS = -I$(top_srcdir)/include
++csdp_graphtoprob_CPPFLAGS = -I$(top_srcdir)/include
++csdp_randgraph_CPPFLAGS = -I$(top_srcdir)/include
++csdp_complement_CPPFLAGS = -I$(top_srcdir)/include
++csdp_theta_LDADD=../lib/libsdp.la
++csdp_graphtoprob_LDADD=../lib/libsdp.la
++csdp_randgraph_LDADD=../lib/libsdp.la
++csdp_complement_LDADD=../lib/libsdp.la
diff -pruN 6.2.0-1/debian/README.source 6.2.0-2/debian/README.source
--- 6.2.0-1/debian/README.source	2019-12-22 20:52:39.000000000 +0000
+++ 6.2.0-2/debian/README.source	1970-01-01 00:00:00.000000000 +0000
@@ -1,47 +0,0 @@
-This package uses quilt to manage all modifications to the upstream
-source.  Changes are stored in the source package as diffs in
-debian/patches and applied during the build.
-
-To get the fully patched source after unpacking the source package, cd to
-the root level of the source package and run:
-
-    quilt push -a
-
-The last patch listed in debian/patches/series will become the current
-patch.
-
-To add a new set of changes, first run quilt push -a, and then run:
-
-    quilt new <patch>
-
-where <patch> is a descriptive name for the patch, used as the filename in
-debian/patches.  Then, for every file that will be modified by this patch,
-run:
-
-    quilt add <file>
-
-before editing those files.  You must tell quilt with quilt add what files
-will be part of the patch before making changes or quilt will not work
-properly.  After editing the files, run:
-
-    quilt refresh
-
-to save the results as a patch.
-
-Alternately, if you already have an external patch and you just want to
-add it to the build system, run quilt push -a and then:
-
-    quilt import -P <patch> /path/to/patch
-    quilt push -a
-
-(add -p 0 to quilt import if needed). <patch> as above is the filename to
-use in debian/patches.  The last quilt push -a will apply the patch to
-make sure it works properly.
-
-To remove an existing patch from the list of patches that will be applied,
-run:
-
-    quilt delete <patch>
-
-You may need to run quilt pop -a to unapply patches first before running
-this command.
diff -pruN 6.2.0-1/debian/rules 6.2.0-2/debian/rules
--- 6.2.0-1/debian/rules	2019-12-22 23:21:48.000000000 +0000
+++ 6.2.0-2/debian/rules	2020-05-27 05:46:38.000000000 +0000
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DH_VERBOSE = 1
-LDFLAGS += -lgfortran -lm
 
 %:
 	dh $@
 
 override_dh_strip:
-	dh_strip --dbg-package=coinor-csdp-dbg
+	dh_strip --dbgsym-migration='coinor-csdp-dbg (<< 6.2.0-2~)'
 
 override_dh_compress:
 	dh_compress -X.pdf
@@ -16,6 +16,3 @@ override_dh_auto_build:
 	dh_auto_build
 	cd doc && ( pdflatex csdpuser.tex ; bibtex csdpuser \
 		pdflatex csdpuser.tex; pdflatex csdpuser.tex )
-
-override_dh_auto_install:
-	dh_auto_install -- prefix=/usr
diff -pruN 6.2.0-1/debian/salsa-ci.yml 6.2.0-2/debian/salsa-ci.yml
--- 6.2.0-1/debian/salsa-ci.yml	1970-01-01 00:00:00.000000000 +0000
+++ 6.2.0-2/debian/salsa-ci.yml	2020-05-27 05:46:38.000000000 +0000
@@ -0,0 +1,4 @@
+---
+include:
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/salsa-ci.yml
+  - https://salsa.debian.org/salsa-ci-team/pipeline/raw/master/pipeline-jobs.yml
diff -pruN 6.2.0-1/debian/source/include-binaries 6.2.0-2/debian/source/include-binaries
--- 6.2.0-1/debian/source/include-binaries	1970-01-01 00:00:00.000000000 +0000
+++ 6.2.0-2/debian/source/include-binaries	2020-05-27 05:46:38.000000000 +0000
@@ -0,0 +1 @@
+doc/csdpuser.pdf
diff -pruN 6.2.0-1/debian/tests/control 6.2.0-2/debian/tests/control
--- 6.2.0-1/debian/tests/control	1970-01-01 00:00:00.000000000 +0000
+++ 6.2.0-2/debian/tests/control	2020-05-27 05:46:38.000000000 +0000
@@ -0,0 +1,5 @@
+# ideally, we would like to actually do the comparisons as outlined in
+# test/Makefile, but for now we do a simple smoke test
+Test-Command: csdp-theta test/theta1.dat-s && csdp-theta test/g50 &&
+  gcc example/example.c -lsdp
+Depends: @, build-essential
diff -pruN 6.2.0-1/debian/upstream/metadata 6.2.0-2/debian/upstream/metadata
--- 6.2.0-1/debian/upstream/metadata	1970-01-01 00:00:00.000000000 +0000
+++ 6.2.0-2/debian/upstream/metadata	2020-05-27 05:46:38.000000000 +0000
@@ -0,0 +1,12 @@
+Repository: https://github.com/coin-or/Csdp/
+Bug-Database: https://github.com/coin-or/Csdp/issues
+Reference:
+  Author: Borchers, Brian
+  Title: CSDP, AC library for semidefinite programming
+  Journal: Optimization methods and Software
+  Year: 1999
+  Volume: 11
+  Number: 1-4
+  Pages: 612-623
+  DOI: 10.1080/10556789908805765
+  eprint: http://euler.nmt.edu/~brian/csdppaper.pdf
diff -pruN 6.2.0-1/debian/watch 6.2.0-2/debian/watch
--- 6.2.0-1/debian/watch	2019-12-22 20:52:39.000000000 +0000
+++ 6.2.0-2/debian/watch	2020-05-27 05:46:38.000000000 +0000
@@ -1,3 +1,2 @@
-version=3
-http://www.coin-or.org/download/source/Csdp/Csdp-([\d\.]+).tgz \
-		 debian debian/orig-tar.sh
+version=4
+https://www.coin-or.org/download/source/Csdp/Csdp-@ANY_VERSION@@ARCHIVE_EXT@
